<?php
class ControllerCatalogInformation extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('catalog/information');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('catalog/information');

		$this->getList();
	}

	public function add() {
		$this->load->language('catalog/information');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('catalog/information');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validateForm()) {
			$this->model_catalog_information->addInformation($this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$url = '';

      if (isset($this->request->get['filter_status'])) {
				$url .= '&filter_status=' . $this->request->get['filter_status'];
			}
      
      if (isset($this->request->get['filter_fromdate_added'])) {
				$url .= '&filter_fromdate_added=' . $this->request->get['filter_fromdate_added'];
			}
      
      if (isset($this->request->get['filter_todate_added'])) {
				$url .= '&filter_todate_added=' . $this->request->get['filter_todate_added'];
			}
			
      if (isset($this->request->get['filter_title'])) {
        $url .= '&filter_title=' . urlencode(html_entity_decode($this->request->get['filter_title'], ENT_QUOTES, 'UTF-8'));
			}

			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}

			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}

			if (isset($this->request->get['page'])) {
				$url .= '&page=' . $this->request->get['page'];
			}
      
      if (isset($this->request->get['category_id'])) {
				$url .= '&category_id=' . $this->request->get['category_id'];
			}

			$this->response->redirect($this->url->link('catalog/information', 'token=' . $this->session->data['token'] . $url, 'SSL'));
		}

		$this->getForm();
	}

	public function edit() {
		$this->load->language('catalog/information');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('catalog/information');
    
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validateForm()) {
			$this->model_catalog_information->editInformation($this->request->get['information_id'], $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$url = '';

      if (isset($this->request->get['filter_status'])) {
				$url .= '&filter_status=' . $this->request->get['filter_status'];
			}
      
      if (isset($this->request->get['filter_fromdate_added'])) {
				$url .= '&filter_fromdate_added=' . $this->request->get['filter_fromdate_added'];
			}
      
      if (isset($this->request->get['filter_todate_added'])) {
				$url .= '&filter_todate_added=' . $this->request->get['filter_todate_added'];
			}
			
      if (isset($this->request->get['filter_title'])) {
        $url .= '&filter_title=' . urlencode(html_entity_decode($this->request->get['filter_title'], ENT_QUOTES, 'UTF-8'));
			}

			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}

			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}

			if (isset($this->request->get['page'])) {
				$url .= '&page=' . $this->request->get['page'];
			}
      
      if (isset($this->request->get['category_id'])) {
				$url .= '&category_id=' . $this->request->get['category_id'];
			}

			$this->response->redirect($this->url->link('catalog/information', 'token=' . $this->session->data['token'] . $url, 'SSL'));
		}

		$this->getForm();
	}

	public function delete() {
		$this->load->language('catalog/information');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('catalog/information');

		if (isset($this->request->post['selected']) && $this->validateDelete()) {
			foreach ($this->request->post['selected'] as $information_id) {
				$this->model_catalog_information->deleteInformation($information_id);
			}

			$this->session->data['success'] = $this->language->get('text_success');

			$url = '';

      if (isset($this->request->get['filter_status'])) {
				$url .= '&filter_status=' . $this->request->get['filter_status'];
			}
      
      if (isset($this->request->get['filter_fromdate_added'])) {
				$url .= '&filter_fromdate_added=' . $this->request->get['filter_fromdate_added'];
			}
      
      if (isset($this->request->get['filter_todate_added'])) {
				$url .= '&filter_todate_added=' . $this->request->get['filter_todate_added'];
			}
			
      if (isset($this->request->get['filter_title'])) {
        $url .= '&filter_title=' . urlencode(html_entity_decode($this->request->get['filter_title'], ENT_QUOTES, 'UTF-8'));
			}

			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}

			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}

			if (isset($this->request->get['page'])) {
				$url .= '&page=' . $this->request->get['page'];
			}
      
      if (isset($this->request->get['category_id'])) {
				$url .= '&category_id=' . $this->request->get['category_id'];
			}

			$this->response->redirect($this->url->link('catalog/information', 'token=' . $this->session->data['token'] . $url, 'SSL'));
		}

		$this->getList();
	}

	protected function getList() {
    
    if (isset($this->request->get['filter_title'])) {
			$filter_title = $this->request->get['filter_title'];
		} else {
			$filter_title = NULL;
		}
    
    if (isset($this->request->get['filter_fromdate_added'])) {
			$filter_fromdate_added = $this->request->get['filter_fromdate_added'];
		} else {
			$filter_fromdate_added = NULL;
		}
    
    if (isset($this->request->get['filter_todate_added'])) {
			$filter_todate_added = $this->request->get['filter_todate_added'];
		} else {
			$filter_todate_added = NULL;
		}
    
    if (isset($this->request->get['filter_status'])) {
			$filter_status = $this->request->get['filter_status'];
		} else {
			$filter_status = null;
		}
  
		if (isset($this->request->get['sort'])) {
			$sort = $this->request->get['sort'];
		} else {
			$sort = 'i.date_added';
		}

		if (isset($this->request->get['order'])) {
			$order = $this->request->get['order'];
		} else {
			$order = 'DESC';
		}

		if (isset($this->request->get['page'])) {
			$page = $this->request->get['page'];
		} else {
			$page = 1;
		}
    
    if (isset($this->request->get['category_id'])) {
			$category_id = $this->request->get['category_id'];
		} else {
			$category_id = NULL;
		}
    
    $data['category_id'] = $category_id;

		$url = '';

    if (isset($this->request->get['filter_status'])) {
				$url .= '&filter_status=' . $this->request->get['filter_status'];
			}
      
      if (isset($this->request->get['filter_fromdate_added'])) {
				$url .= '&filter_fromdate_added=' . $this->request->get['filter_fromdate_added'];
			}
      
      if (isset($this->request->get['filter_todate_added'])) {
				$url .= '&filter_todate_added=' . $this->request->get['filter_todate_added'];
			}
			
      if (isset($this->request->get['filter_title'])) {
        $url .= '&filter_title=' . urlencode(html_entity_decode($this->request->get['filter_title'], ENT_QUOTES, 'UTF-8'));
			}

		if (isset($this->request->get['sort'])) {
			$url .= '&sort=' . $this->request->get['sort'];
		}

		if (isset($this->request->get['order'])) {
			$url .= '&order=' . $this->request->get['order'];
		}

		if (isset($this->request->get['page'])) {
			$url .= '&page=' . $this->request->get['page'];
		}
    
    if (isset($this->request->get['category_id'])) {
			$url .= '&category_id=' . $this->request->get['category_id'];
		}
		
		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('catalog/information', 'token=' . $this->session->data['token'] . $url, 'SSL')
		);
		
		$data['insert'] = $this->url->link('catalog/information/add', 'token=' . $this->session->data['token'] . $url, 'SSL');
		$data['delete'] = $this->url->link('catalog/information/delete', 'token=' . $this->session->data['token'] . $url, 'SSL');

		$data['informations'] = array();

		$filter_data = array(
      'filter_title'	  => $filter_title,
      'filter_fromdate_added' => $filter_fromdate_added,
      'filter_todate_added' => $filter_todate_added,
      'filter_status'   => $filter_status,
      'filter_category_id'   => $category_id,
			'sort'  => $sort,
			'order' => $order,
			'start' => ($page - 1) * $this->config->get('config_limit_admin'),
			'limit' => $this->config->get('config_limit_admin')
		);

		$information_total = $this->model_catalog_information->getTotalInformations($filter_data);

		$results = $this->model_catalog_information->getInformations($filter_data);

		foreach ($results as $result) {
			$data['informations'][] = array(
				'information_id' => $result['information_id'],
				'title'          => $result['title'],
				'sort_order'     => $result['sort_order'],
        'date_added'  => date($this->language->get('date_format_short'), strtotime($result['date_added'])),
        'status'         => ($result['status']) ? $this->language->get('text_enabled') : $this->language->get('text_disabled'),
				'edit'           => $this->url->link('catalog/information/edit', 'token=' . $this->session->data['token'] . '&information_id=' . $result['information_id'] . $url, 'SSL')
			);
		}

		$data['heading_title'] = $this->language->get('heading_title');
		
		$data['text_list'] = $this->language->get('text_list');
		$data['text_no_results'] = $this->language->get('text_no_results');
		$data['text_confirm'] = $this->language->get('text_confirm');
    
    $data['text_enabled'] = $this->language->get('text_enabled');
		$data['text_disabled'] = $this->language->get('text_disabled');

		$data['column_title'] = $this->language->get('column_title');
		$data['column_sort_order'] = $this->language->get('column_sort_order');
		$data['column_action'] = $this->language->get('column_action');
    
    $data['column_status'] = $this->language->get('column_status');
    $data['column_date_added'] = $this->language->get('column_date_added');
    
    $data['entry_title'] = $this->language->get('entry_title');
		$data['entry_status'] = $this->language->get('entry_status');
    
    $data['entry_date_start'] = $this->language->get('entry_date_start');
		$data['entry_date_end'] = $this->language->get('entry_date_end');

		$data['button_insert'] = $this->language->get('button_insert');
		$data['button_edit'] = $this->language->get('button_edit');
		$data['button_delete'] = $this->language->get('button_delete');
    $data['button_filter'] = $this->language->get('button_filter');
    
    $data['token'] = $this->session->data['token'];

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		if (isset($this->session->data['success'])) {
			$data['success'] = $this->session->data['success'];

			unset($this->session->data['success']);
		} else {
			$data['success'] = '';
		}

		if (isset($this->request->post['selected'])) {
			$data['selected'] = (array)$this->request->post['selected'];
		} else {
			$data['selected'] = array();
		}

		$url = '';

    if (isset($this->request->get['filter_status'])) {
				$url .= '&filter_status=' . $this->request->get['filter_status'];
			}
      
      if (isset($this->request->get['filter_fromdate_added'])) {
				$url .= '&filter_fromdate_added=' . $this->request->get['filter_fromdate_added'];
			}
      
      if (isset($this->request->get['filter_todate_added'])) {
				$url .= '&filter_todate_added=' . $this->request->get['filter_todate_added'];
			}
			
      if (isset($this->request->get['filter_title'])) {
        $url .= '&filter_title=' . urlencode(html_entity_decode($this->request->get['filter_title'], ENT_QUOTES, 'UTF-8'));
			}

		if ($order == 'ASC') {
			$url .= '&order=DESC';
		} else {
			$url .= '&order=ASC';
		}

		if (isset($this->request->get['page'])) {
			$url .= '&page=' . $this->request->get['page'];
		}
    
    if (isset($this->request->get['category_id'])) {
			$url .= '&category_id=' . $this->request->get['category_id'];
		}


    $data['sort_date_added'] = $this->url->link('catalog/information', 'token=' . $this->session->data['token'] . '&sort=i.date_added' . $url, 'SSL');
    $data['sort_status'] = $this->url->link('catalog/information', 'token=' . $this->session->data['token'] . '&sort=i.status' . $url, 'SSL');
		$data['sort_title'] = $this->url->link('catalog/information', 'token=' . $this->session->data['token'] . '&sort=id.title' . $url, 'SSL');
		$data['sort_sort_order'] = $this->url->link('catalog/information', 'token=' . $this->session->data['token'] . '&sort=i.sort_order' . $url, 'SSL');

		$url = '';

    if (isset($this->request->get['filter_status'])) {
				$url .= '&filter_status=' . $this->request->get['filter_status'];
			}
      
      if (isset($this->request->get['filter_fromdate_added'])) {
				$url .= '&filter_fromdate_added=' . $this->request->get['filter_fromdate_added'];
			}
      
      if (isset($this->request->get['filter_todate_added'])) {
				$url .= '&filter_todate_added=' . $this->request->get['filter_todate_added'];
			}
			
      if (isset($this->request->get['filter_title'])) {
        $url .= '&filter_title=' . urlencode(html_entity_decode($this->request->get['filter_title'], ENT_QUOTES, 'UTF-8'));
			}

		if (isset($this->request->get['sort'])) {
			$url .= '&sort=' . $this->request->get['sort'];
		}

		if (isset($this->request->get['order'])) {
			$url .= '&order=' . $this->request->get['order'];
		}
    
    if (isset($this->request->get['category_id'])) {
			$url .= '&category_id=' . $this->request->get['category_id'];
		}

		$pagination = new Pagination();
		$pagination->total = $information_total;
		$pagination->page = $page;
		$pagination->limit = $this->config->get('config_limit_admin');
		$pagination->url = $this->url->link('catalog/information', 'token=' . $this->session->data['token'] . $url . '&page={page}', 'SSL');

		$data['pagination'] = $pagination->render();

		$data['results'] = sprintf($this->language->get('text_pagination'), ($information_total) ? (($page - 1) * $this->config->get('config_limit_admin')) + 1 : 0, ((($page - 1) * $this->config->get('config_limit_admin')) > ($information_total - $this->config->get('config_limit_admin'))) ? $information_total : ((($page - 1) * $this->config->get('config_limit_admin')) + $this->config->get('config_limit_admin')), $information_total, ceil($information_total / $this->config->get('config_limit_admin')));

    $data['filter_status'] = $filter_status;
    $data['filter_title'] = $filter_title;
    $data['filter_fromdate_added'] = $filter_fromdate_added;
    $data['filter_todate_added'] = $filter_todate_added;

		$data['sort'] = $sort;
		$data['order'] = $order;

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('catalog/information_list.tpl', $data));
	}

	protected function getForm() {
		$data['heading_title'] = $this->language->get('heading_title');
		
		$data['text_form'] = !isset($this->request->get['information_id']) ? $this->language->get('text_add') : $this->language->get('text_edit');
		$data['text_default'] = $this->language->get('text_default');
		$data['text_enabled'] = $this->language->get('text_enabled');
		$data['text_disabled'] = $this->language->get('text_disabled');
    $data['text_none'] = $this->language->get('text_none');
    $data['text_yes'] = $this->language->get('text_yes');
    $data['text_no'] = $this->language->get('text_no');
    
		$data['entry_title'] = $this->language->get('entry_title');
		$data['entry_description'] = $this->language->get('entry_description');
    $data['entry_short_description'] = $this->language->get('entry_short_description');
		$data['entry_meta_title'] = $this->language->get('entry_meta_title');
		$data['entry_meta_description'] = $this->language->get('entry_meta_description');
		$data['entry_meta_keyword'] = $this->language->get('entry_meta_keyword');
		$data['entry_keyword'] = $this->language->get('entry_keyword');
		$data['entry_store'] = $this->language->get('entry_store');
		$data['entry_bottom'] = $this->language->get('entry_bottom');
		$data['entry_sort_order'] = $this->language->get('entry_sort_order');
		$data['entry_status'] = $this->language->get('entry_status');
		$data['entry_layout'] = $this->language->get('entry_layout');
    $data['entry_download'] = $this->language->get('entry_download');
    $data['entry_related'] = $this->language->get('entry_related');
    
    $data['entry_tag'] = $this->language->get('entry_tag');
    $data['entry_category'] = $this->language->get('entry_category');
    $data['entry_image'] = $this->language->get('entry_image');
    $data['entry_target_link'] = $this->language->get('entry_target_link');
    $data['entry_this_link'] = $this->language->get('entry_this_link');
    $data['entry_gallery'] = $this->language->get('entry_gallery');
    $data['entry_resize'] = $this->language->get('entry_resize');
    $data['entry_list_image'] = $this->language->get('entry_list_image');
    
    $data['entry_allowed_groups'] = $this->language->get('entry_allowed_groups');
    $data['entry_denied_groups'] = $this->language->get('entry_denied_groups');
    $data['entry_allowed_users'] = $this->language->get('entry_allowed_users');
    $data['entry_denied_users'] = $this->language->get('entry_denied_users');

		$data['help_keyword'] = $this->language->get('help_keyword');
		$data['help_bottom'] = $this->language->get('help_bottom');
    $data['help_tag'] = $this->language->get('help_tag');
    $data['help_category'] = $this->language->get('help_category');
    $data['help_link'] = $this->language->get('help_link');
    $data['help_this_link'] = $this->language->get('help_this_link');
    $data['help_resize'] = $this->language->get('help_resize');
    $data['help_auto'] = $this->language->get('help_auto');
    $data['help_short_description'] = $this->language->get('help_short_description');
    $data['help_list_image'] = $this->language->get('help_list_image');

		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');

		$data['tab_general'] = $this->language->get('tab_general');
		$data['tab_data'] = $this->language->get('tab_data');
    $data['tab_links'] = $this->language->get('tab_links');
		$data['tab_design'] = $this->language->get('tab_design');
    $data['tab_rights'] = $this->language->get('tab_rights');
    $data['tab_galleries'] = $this->language->get('tab_galleries');

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		if (isset($this->error['title'])) {
			$data['error_title'] = $this->error['title'];
		} else {
			$data['error_title'] = array();
		}

		if (isset($this->error['description'])) {
			$data['error_description'] = $this->error['description'];
		} else {
			$data['error_description'] = array();
		}

		if (isset($this->error['meta_title'])) {
			$data['error_meta_title'] = $this->error['meta_title'];
		} else {
			$data['error_meta_title'] = array();
		}
    
    if (isset($this->error['keyword'])) {
			$data['error_keyword'] = $this->error['keyword'];
		} else {
			$data['error_keyword'] = '';
		}

		$url = '';

		if (isset($this->request->get['sort'])) {
			$url .= '&sort=' . $this->request->get['sort'];
		}

		if (isset($this->request->get['order'])) {
			$url .= '&order=' . $this->request->get['order'];
		}

		if (isset($this->request->get['page'])) {
			$url .= '&page=' . $this->request->get['page'];
		}
    
    if (isset($this->request->get['category_id'])) {
			$url .= '&category_id=' . $this->request->get['category_id'];
		}

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('catalog/information', 'token=' . $this->session->data['token'] . $url, 'SSL')
		);
		
		if (!isset($this->request->get['information_id'])) {
			$data['action'] = $this->url->link('catalog/information/add', 'token=' . $this->session->data['token'] . $url, 'SSL');
		} else {
			$data['action'] = $this->url->link('catalog/information/edit', 'token=' . $this->session->data['token'] . '&information_id=' . $this->request->get['information_id'] . $url, 'SSL');
		}

		$data['cancel'] = $this->url->link('catalog/information', 'token=' . $this->session->data['token'] . $url, 'SSL');

		if (isset($this->request->get['information_id']) && ($this->request->server['REQUEST_METHOD'] != 'POST')) {
			$information_info = $this->model_catalog_information->getInformation($this->request->get['information_id']);
		}

		$data['token'] = $this->session->data['token'];

		$this->load->model('localisation/language');

		$data['languages'] = $this->model_localisation_language->getLanguages();

		if (isset($this->request->post['information_description'])) {
			$data['information_description'] = $this->request->post['information_description'];
		} elseif (isset($this->request->get['information_id'])) {
			$data['information_description'] = $this->model_catalog_information->getInformationDescriptions($this->request->get['information_id']);
		} else {
			$data['information_description'] = array();
		}

		$this->load->model('setting/store');

		$data['stores'] = $this->model_setting_store->getStores();

		if (isset($this->request->post['information_store'])) {
			$data['information_store'] = $this->request->post['information_store'];
		} elseif (isset($this->request->get['information_id'])) {
			$data['information_store'] = $this->model_catalog_information->getInformationStores($this->request->get['information_id']);
		} else {
			$data['information_store'] = array(0);
		}
    
    if (isset($this->request->get['information_id'])) {

      $data['this_links'] = array();
      
      foreach ($data['information_store'] as $site) {
        
        if (!$site) {
          $data['this_links'][] = HTTP_CATALOG . 'index.php?route=information/information&information_id=' . $this->request->get['information_id'];
        } else {
  			  $result = $this->model_setting_store->getStore($site);
          if ($result) $data['this_links'][] = $result['url'] . 'index.php?route=information/information&information_id=' . $this->request->get['information_id'];        
        }
  		}
    
    }
    
    if (isset($this->request->post['resize'])) {
			$data['resize'] = $this->request->post['resize'];
		} elseif (!empty($information_info)) {
			$data['resize'] = $information_info['resize'];
		} else {
			$data['resize'] = 1;
		}

		if (isset($this->request->post['keyword'])) {
			$data['keyword'] = $this->request->post['keyword'];
		} elseif (!empty($information_info)) {
			$data['keyword'] = $information_info['keyword'];
		} else {
			$data['keyword'] = '';
		}

		if (isset($this->request->post['bottom'])) {
			$data['bottom'] = $this->request->post['bottom'];
		} elseif (!empty($information_info)) {
			$data['bottom'] = $information_info['bottom'];
		} else {
			$data['bottom'] = 0;
		}

		if (isset($this->request->post['status'])) {
			$data['status'] = $this->request->post['status'];
		} elseif (!empty($information_info)) {
			$data['status'] = $information_info['status'];
		} else {
			$data['status'] = 1;
		}

		if (isset($this->request->post['sort_order'])) {
			$data['sort_order'] = $this->request->post['sort_order'];
		} elseif (!empty($information_info)) {
			$data['sort_order'] = $information_info['sort_order'];
		} else {
			$data['sort_order'] = '';
		}

		if (isset($this->request->post['information_layout'])) {
			$data['information_layout'] = $this->request->post['information_layout'];
		} elseif (isset($this->request->get['information_id'])) {
			$data['information_layout'] = $this->model_catalog_information->getInformationLayouts($this->request->get['information_id']);
		} else {
			$data['information_layout'] = array();
		}

    if (isset($this->request->post['image'])) {
			$data['image'] = $this->request->post['image'];
		} elseif (!empty($information_info)) {
			$data['image'] = $information_info['image'];
		} else {
			$data['image'] = '';
		}
    
    if (isset($this->request->post['list_image'])) {
			$data['list_image'] = $this->request->post['list_image'];
		} elseif (!empty($information_info)) {
			$data['list_image'] = $information_info['list_image'];
		} else {
			$data['list_image'] = '';
		}

		$this->load->model('tool/image');

		if (isset($this->request->post['image']) && is_file(DIR_IMAGE . $this->request->post['image'])) {
			$data['thumb'] = $this->model_tool_image->resize($this->request->post['image'], 100, 100);
		} elseif (!empty($information_info) && is_file(DIR_IMAGE . $information_info['image'])) {
			$data['thumb'] = $this->model_tool_image->resize($information_info['image'], 100, 100);
		} else {
			$data['thumb'] = $this->model_tool_image->resize('no_image.png', 100, 100);
		}
    
    if (isset($this->request->post['list_image']) && is_file(DIR_IMAGE . $this->request->post['list_image'])) {
			$data['list_thumb'] = $this->model_tool_image->resize($this->request->post['list_image'], 100, 100);
		} elseif (!empty($information_info) && is_file(DIR_IMAGE . $information_info['list_image'])) {
			$data['list_thumb'] = $this->model_tool_image->resize($information_info['list_image'], 100, 100);
		} else {
			$data['list_thumb'] = $this->model_tool_image->resize('no_image.png', 100, 100);
		}

		$data['placeholder'] = $this->model_tool_image->resize('no_image.png', 100, 100);

    // Categories
		$this->load->model('catalog/information_category');

		if (isset($this->request->post['information_category'])) {
			$categories = $this->request->post['information_category'];
		} elseif (isset($this->request->get['information_id'])) {
			$categories = $this->model_catalog_information->getInformationCategories($this->request->get['information_id']);
		} else {
			$categories = array();
      if (isset($this->request->get['category_id'])) {
			 $categories[] = $this->request->get['category_id'];
		  }
		}
		
    $data['information_categories'] = array();

		foreach ($categories as $category_id) {
			$category_info = $this->model_catalog_information_category->getCategory($category_id);
 
			if ($category_info) {
				$data['information_categories'][] = array(
					'category_id' => $category_info['category_id'],
					'name' => ($category_info['path']) ? $category_info['path'] . ' &gt; ' . $category_info['name'] : $category_info['name']
				);
			}
		}
    
    // Galleries
		$this->load->model('design/banner');

		if (isset($this->request->post['information_galleries'])) {
			$galleries = $this->request->post['information_galleries'];
		} elseif (isset($this->request->get['information_id'])) {
			$galleries = $this->model_catalog_information->getInformationGalleries($this->request->get['information_id']);
		} else {
			$galleries = array();
		}
		
    $data['information_galleries'] = array();

		foreach ($galleries as $banner_id) {
			$banner_info = $this->model_design_banner->getBanner($banner_id);
 
			if ($banner_info) {
				$data['information_galleries'][] = array(
					'banner_id' => $banner_info['banner_id'],
					'name' => $banner_info['name']
				);
			}
		}
    
    if (isset($this->request->post['target_link'])) {
			$data['target_link'] = $this->request->post['target_link'];
		} elseif (!empty($information_info)) {
			$data['target_link'] = $information_info['target_link'];
		} else {
			$data['target_link'] = "";
		}
 
		$this->load->model('design/layout');

		$data['layouts'] = $this->model_design_layout->getLayouts();
    
    $this->load->model('setting/rights');
    
    if (isset($this->request->post['allowed_groups'])) {
			$allowed_groups = $this->request->post['allowed_groups'];
		} elseif (isset($this->request->get['information_id'])) {
			$allowed_groups = $this->model_setting_rights->getAllowedGroups($this->request->get['information_id'],1); //1 is information type
		} else {
      $allowed_groups[] = -1;
		}
    
    // Downloads
		$this->load->model('catalog/download');

		if (isset($this->request->post['informaton_download'])) {
			$information_downloads = $this->request->post['information_download'];
		} elseif (isset($this->request->get['information_id'])) {
			$information_downloads = $this->model_catalog_information->getInformationDownloads($this->request->get['information_id']);
		} else {
			$information_downloads = array();
		}

		$data['information_downloads'] = array();

		foreach ($information_downloads as $download_id) {
			$download_info = $this->model_catalog_download->getDownload($download_id);

			if ($download_info) {
				$data['information_downloads'][] = array(
					'download_id' => $download_info['download_id'],
					'name'        => $download_info['name']
				);
			}
		}
    
    // Related
		
		if (isset($this->request->post['informaton_related'])) {
			$information_relateds = $this->request->post['information_related'];
		} elseif (isset($this->request->get['information_id'])) {
			$information_relateds = $this->model_catalog_information->getInformationRelated($this->request->get['information_id']);
		} else {
			$information_relateds = array();
		}

		$data['information_relateds'] = array();

		foreach ($information_relateds as $related_id) {
			$related_info = $this->model_catalog_information->getInformation($related_id);

			if ($related_info) {
				$data['information_relateds'][] = array(
					'information_id' => $related_info['information_id'],
					'title'          => $related_info['title']
				);
			}
		}
    
    $data['allowed_groups'] = array();
    
    $this->load->model('sale/customer_group');
    
    foreach ($allowed_groups as $group_id) {
			$group_info = $this->model_sale_customer_group->getCustomerGroup($group_id);
 
			if ($group_info) {
				$data['allowed_groups'][] = array(
					'group_id' => $group_info['customer_group_id'],
					'name' => $group_info['name']
				);
			}
		}
    
    if (isset($this->request->post['denied_groups'])) {
			$denied_groups = $this->request->post['denied_groups'];
		} elseif (isset($this->request->get['information_id'])) {
			$denied_groups = $this->model_setting_rights->getDeniedGroups($this->request->get['information_id'],1); //1 is information type
		} else {
			$denied_groups = array();
    }
    
    $data['denied_groups'] = array();
    
    foreach ($denied_groups as $group_id) {
			$group_info = $this->model_sale_customer_group->getCustomerGroup($group_id);
 
			if ($group_info) {
				$data['denied_groups'][] = array(
					'group_id' => $group_info['customer_group_id'],
					'name' => $group_info['name']
				);
			}
		}
      
    if (isset($this->request->post['allowed_users'])) {
			$allowed_users = $this->request->post['allowed_users'];
		} elseif (isset($this->request->get['information_id'])) {
			$allowed_users = $this->model_setting_rights->getAllowedUsers($this->request->get['information_id'],1); //1 is information type
		} else {
			$allowed_users = array();
		}
    
    $data['allowed_users'] = array();
    
    $this->load->model('sale/customer');
    
    foreach ($allowed_users as $user_id) {
			$user_info = $this->model_sale_customer->getCustomer($user_id);
 
			if ($user_info) {
				$data['allowed_users'][] = array(
					'user_id' => $user_info['customer_id'],
					'name' => $user_info['firstname']. " " . $user_info['lastname']
				);
			}
		}
    
    if (isset($this->request->post['denied_users'])) {
			$denied_users = $this->request->post['denied_users'];
		} elseif (isset($this->request->get['information_id'])) {
			$denied_users = $this->model_setting_rights->getDeniedUsers($this->request->get['information_id'],1); //1 is information type
		} else {
			$denied_users = array();
		}
    
    $data['denied_users'] = array();
    
    foreach ($denied_users as $user_id) {
			$user_info = $this->model_sale_customer->getCustomer($user_id);
 
			if ($user_info) {
				$data['denied_users'][] = array(
					'user_id' => $user_info['customer_id'],
					'name' => $user_info['firstname']. " " . $user_info['lastname']
				);
			}
		}
    
		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('catalog/information_form.tpl', $data));
	}

	protected function validateForm() {
		if (!$this->user->hasPermission('modify', 'catalog/information')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		foreach ($this->request->post['information_description'] as $language_id => $value) {
			if ((utf8_strlen($value['title']) < 3) || (utf8_strlen($value['title']) > 255)) {
				$this->error['title'][$language_id] = $this->language->get('error_title');
			}

 			if ((utf8_strlen($value['meta_title']) < 3) || (utf8_strlen($value['meta_title']) > 255)) {
				$this->error['meta_title'][$language_id] = $this->language->get('error_meta_title');
			}
		}
    
    if (utf8_strlen($this->request->post['keyword']) > 0) {
			$this->load->model('catalog/url_alias');

			$url_alias_info = $this->model_catalog_url_alias->getUrlAlias($this->request->post['keyword']);

			if ($url_alias_info && isset($this->request->get['information_id']) && $url_alias_info['query'] != 'information_id=' . $this->request->get['information_id']) {
				$this->error['keyword'] = sprintf($this->language->get('error_keyword'));
			}

			if ($url_alias_info && !isset($this->request->get['information_id'])) {
				$this->error['keyword'] = sprintf($this->language->get('error_keyword'));
			}
		}

		if ($this->error && !isset($this->error['warning'])) {
			$this->error['warning'] = $this->language->get('error_warning');
		}

		return !$this->error;
	}

	protected function validateDelete() {
		if (!$this->user->hasPermission('modify', 'catalog/information')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		$this->load->model('setting/store');

		foreach ($this->request->post['selected'] as $information_id) {
			if ($this->config->get('config_account_id') == $information_id) {
				$this->error['warning'] = $this->language->get('error_account');
			}

			$store_total = $this->model_setting_store->getTotalStoresByInformationId($information_id);

			if ($store_total) {
				$this->error['warning'] = sprintf($this->language->get('error_store'), $store_total);
			}
		}

		return !$this->error;
	}
  
  public function autocomplete() {
		$json = array();
    
    if (isset($this->request->get['filter_name'])) {
      $this->request->get['filter_title'] = $this->request->get['filter_name'];    
    }

		if (isset($this->request->get['filter_title'])) {
			$this->load->model('catalog/information');
      
      if (isset($this->request->get['category_id'])) {
        $category_id = $this->request->get['category_id'];
      } else {
        $category_id = 0;
      }

			$filter_data = array(
				'filter_title' => $this->request->get['filter_title'],
        'filter_category_id'   => $category_id,
				'start'       => 0,
				'limit'       => 5
			);

			$results = $this->model_catalog_information->getInformations($filter_data);

			foreach ($results as $result) {
				$json[] = array(
					'information_id' => $result['information_id'],
					'title'        => strip_tags(html_entity_decode($result['title'], ENT_QUOTES, 'UTF-8')),
          'object_id' => $result['information_id'],
          'name'        => strip_tags(html_entity_decode($result['title'], ENT_QUOTES, 'UTF-8'))
				);
			}
		}

		$sort_order = array();

		foreach ($json as $key => $value) {
			$sort_order[$key] = $value['title'];
		}

		array_multisort($sort_order, SORT_ASC, $json);

		$this->response->addHeader('Content-Type: application/json');
		$this->response->setOutput(json_encode($json));
	}
}