<?php 
class ControllerCatalogMenu extends Controller { 
	private $error = array();
 
	public function index() {
		$this->load->language('catalog/menu');

		$this->document->setTitle($this->language->get('heading_title'));
		
		$this->load->model('catalog/menu');
		 
		$this->getList();
		
	}

	public function add() {
		$this->load->language('catalog/menu');

		$this->document->setTitle($this->language->get('heading_title'));
		
		$this->load->model('catalog/menu');
		
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validateForm()) {
			$this->model_catalog_menu->addMenu($this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');
			
      $url = '';

			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}

			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}

			if (isset($this->request->get['page'])) {
				$url .= '&page=' . $this->request->get['page'];
			}
      
      if (isset($this->request->get['group_id'])) {
				$url .= '&group_id=' . $this->request->get['group_id'];
			}

			$this->response->redirect($this->url->link('catalog/menu', 'token=' . $this->session->data['token'] . $url, 'SSL')); 
		}

		$this->getForm();
	}

	public function edit() {
		$this->load->language('catalog/menu');

		$this->document->setTitle($this->language->get('heading_title'));
		
		$this->load->model('catalog/menu');
		
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validateForm()) {
			$this->model_catalog_menu->editMenu($this->request->get['menu_id'], $this->request->post);
			
			$this->session->data['success'] = $this->language->get('text_success');
			
      $url = '';

			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}

			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}

			if (isset($this->request->get['page'])) {
				$url .= '&page=' . $this->request->get['page'];
			}
      
      if (isset($this->request->get['group_id'])) {
				$url .= '&group_id=' . $this->request->get['group_id'];
			}

			$this->response->redirect($this->url->link('catalog/menu', 'token=' . $this->session->data['token'] . $url, 'SSL'));
      
		}

		$this->getForm();
	}

	public function delete() {
		$this->load->language('catalog/menu');

		$this->document->setTitle($this->language->get('heading_title'));
		
		$this->load->model('catalog/menu');
		
		if (isset($this->request->post['selected']) && $this->validateDelete()) {
			foreach ($this->request->post['selected'] as $menu_id) {
				$this->model_catalog_menu->deleteMenu($menu_id);
			}

			$this->session->data['success'] = $this->language->get('text_success');

       $url = '';

			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}

			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}

			if (isset($this->request->get['page'])) {
				$url .= '&page=' . $this->request->get['page'];
			}
      
      if (isset($this->request->get['group_id'])) {
				$url .= '&group_id=' . $this->request->get['group_id'];
			}

			$this->response->redirect($this->url->link('catalog/menu', 'token=' . $this->session->data['token'] . $url, 'SSL'));
      
		}

		$this->getList();
	}

	public function repair() {
		$this->load->language('catalog/menu');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('catalog/menu');

		if ($this->validateRepair()) {
			$this->model_catalog_menu->repairMenus();

			$this->session->data['success'] = $this->language->get('text_success');

			$this->response->redirect($this->url->link('catalog/menu', 'token=' . $this->session->data['token'], 'SSL'));
		}

		$this->getList();
	}
  
  private function getList() {
  
  	if (isset($this->request->get['sort'])) {
			$sort = $this->request->get['sort'];
		} else {
			$sort = 'name';
		}

		if (isset($this->request->get['order'])) {
			$order = $this->request->get['order'];
		} else {
			$order = 'ASC';
		}

		if (isset($this->request->get['page'])) {
			$page = $this->request->get['page'];
		} else {
			$page = 1;
		}
    
    if (isset($this->request->get['group_id'])) {
			$group_id = $this->request->get['group_id'];
		} else {
			$group_id = -1;
		}

		$url = '';

		if (isset($this->request->get['sort'])) {
			$url .= '&sort=' . $this->request->get['sort'];
		}

		if (isset($this->request->get['order'])) {
			$url .= '&order=' . $this->request->get['order'];
		}

		if (isset($this->request->get['page'])) {
			$url .= '&page=' . $this->request->get['page'];
		}
    
    if (isset($this->request->get['group_id'])) {
			$url .= '&group_id=' . $this->request->get['group_id'];
		}
	
    $data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('catalog/menu', 'token=' . $this->session->data['token'] . $url, 'SSL')
		);
		
		$data['insert'] = $this->url->link('catalog/menu/add', 'token=' . $this->session->data['token'] . $url, 'SSL');
		$data['delete'] = $this->url->link('catalog/menu/delete', 'token=' . $this->session->data['token'] . $url, 'SSL');
    $data['repair'] = $this->url->link('catalog/menu/repair', 'token=' . $this->session->data['token'] . $url, 'SSL');
  
		$data['menus'] = array();
		
    $filter_data = array(
			'sort'  => $sort,
			'order' => $order,
      'filter_group_id'  => $group_id,
			'start' => ($page - 1) * $this->config->get('config_limit_admin'),
			'limit' => $this->config->get('config_limit_admin')
		);
    
    $menu_total = $this->model_catalog_menu->getTotalMenus($group_id);
    
		$results = $this->model_catalog_menu->getMenus($filter_data);

    foreach ($results as $result) {
			$data['menus'][] = array(
				'menu_id' => $result['menu_id'],
				'name'        => $result['name'],
				'sort_order'  => $result['sort_order'],
        'group_id'    => $result['group_id'],
				'edit'        => $this->url->link('catalog/menu/edit', 'token=' . $this->session->data['token'] . '&menu_id=' . $result['menu_id'] . $url, 'SSL'),
				'delete'      => $this->url->link('catalog/menu/delete', 'token=' . $this->session->data['token'] . '&menu_id=' . $result['menu_id'] . $url, 'SSL')
			);
		}
		
		$data['heading_title'] = $this->language->get('heading_title');

    $data['text_list'] = $this->language->get('text_list');
		$data['text_no_results'] = $this->language->get('text_no_results');
    $data['text_confirm'] = $this->language->get('text_confirm');

		$data['column_name'] = $this->language->get('column_name');
		$data['column_sort_order'] = $this->language->get('column_sort_order');
		$data['column_action'] = $this->language->get('column_action');
		
 		$data['button_insert'] = $this->language->get('button_insert');
		$data['button_edit'] = $this->language->get('button_edit');
		$data['button_delete'] = $this->language->get('button_delete');
		$data['button_rebuild'] = $this->language->get('button_rebuild');

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		if (isset($this->session->data['success'])) {
			$data['success'] = $this->session->data['success'];

			unset($this->session->data['success']);
		} else {
			$data['success'] = '';
		}

		if (isset($this->request->post['selected'])) {
			$data['selected'] = (array)$this->request->post['selected'];
		} else {
			$data['selected'] = array();
		}
    
    $url = '';

		if ($order == 'ASC') {
			$url .= '&order=DESC';
		} else {
			$url .= '&order=ASC';
		}

		if (isset($this->request->get['page'])) {
			$url .= '&page=' . $this->request->get['page'];
		}
    
    if (isset($this->request->get['group_id'])) {
				$url .= '&group_id=' . $this->request->get['group_id'];
		}

		$data['sort_name'] = $this->url->link('catalog/menu', 'token=' . $this->session->data['token'] . '&sort=name' . $url, 'SSL');
		$data['sort_sort_order'] = $this->url->link('catalog/menu', 'token=' . $this->session->data['token'] . '&sort=sort_order' . $url, 'SSL');

		$url = '';

		if (isset($this->request->get['sort'])) {
			$url .= '&sort=' . $this->request->get['sort'];
		}

		if (isset($this->request->get['order'])) {
			$url .= '&order=' . $this->request->get['order'];
		}
    
    if (isset($this->request->get['group_id'])) {
				$url .= '&group_id=' . $this->request->get['group_id'];
		}

		$pagination = new Pagination();
		$pagination->total = $menu_total;
		$pagination->page = $page;
		$pagination->limit = $this->config->get('config_limit_admin');
		$pagination->url = $this->url->link('catalog/menu', 'token=' . $this->session->data['token'] . $url . '&page={page}', 'SSL');

		$data['pagination'] = $pagination->render();

		$data['results'] = sprintf($this->language->get('text_pagination'), ($menu_total) ? (($page - 1) * $this->config->get('config_limit_admin')) + 1 : 0, ((($page - 1) * $this->config->get('config_limit_admin')) > ($menu_total - $this->config->get('config_limit_admin'))) ? $menu_total : ((($page - 1) * $this->config->get('config_limit_admin')) + $this->config->get('config_limit_admin')), $menu_total, ceil($menu_total / $this->config->get('config_limit_admin')));

		$data['sort'] = $sort;
		$data['order'] = $order;

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('catalog/menu_list.tpl', $data));
	}

	private function getForm() {
		$data['heading_title'] = $this->language->get('heading_title');

    $data['text_form'] = !isset($this->request->get['menu_id']) ? $this->language->get('text_add') : $this->language->get('text_edit');
    
		$data['text_none'] = $this->language->get('text_none');
		$data['text_default'] = $this->language->get('text_default');
		$data['text_enabled'] = $this->language->get('text_enabled');
    $data['text_disabled'] = $this->language->get('text_disabled');
    $data['text_main_menu'] = $this->language->get('text_main_menu');
    
		$data['entry_name'] = $this->language->get('entry_name');
		$data['entry_description'] = $this->language->get('entry_description');
		$data['entry_store'] = $this->language->get('entry_store');
		

		$data['entry_parent'] = $this->language->get('entry_parent');
    $data['entry_column'] = $this->language->get('entry_column');
    $data['entry_group'] = $this->language->get('entry_group');
		
    $data['entry_target_link'] = $this->language->get('entry_target_link');

		$data['entry_sort_order'] = $this->language->get('entry_sort_order');
		$data['entry_image'] = $this->language->get('entry_image');
		$data['entry_status'] = $this->language->get('entry_status');
    
    $data['entry_allowed_groups'] = $this->language->get('entry_allowed_groups');
    $data['entry_denied_groups'] = $this->language->get('entry_denied_groups');
    $data['entry_allowed_users'] = $this->language->get('entry_allowed_users');
    $data['entry_denied_users'] = $this->language->get('entry_denied_users');

		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');

    $data['tab_general'] = $this->language->get('tab_general');
    $data['tab_data'] = $this->language->get('tab_data');
    $data['tab_design'] = $this->language->get('tab_design');
    $data['tab_rights'] = $this->language->get('tab_rights');
    
    $data['help_column'] = $this->language->get('help_column');
    $data['help_auto'] = $this->language->get('help_auto');
    $data['help_link'] = $this->language->get('help_link');
		
 		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		if (isset($this->error['name'])) {
			$data['error_name'] = $this->error['name'];
		} else {
			$data['error_name'] = array();
		}

    $url = '';

		if (isset($this->request->get['sort'])) {
			$url .= '&sort=' . $this->request->get['sort'];
		}

		if (isset($this->request->get['order'])) {
			$url .= '&order=' . $this->request->get['order'];
		}

		if (isset($this->request->get['page'])) {
			$url .= '&page=' . $this->request->get['page'];
		}
    
    if (isset($this->request->get['group_id'])) {
				$url .= '&group_id=' . $this->request->get['group_id'];
		}
		
		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('catalog/menu', 'token=' . $this->session->data['token'] . $url, 'SSL')
		);
  	
		if (!isset($this->request->get['menu_id'])) {
			$data['action'] = $this->url->link('catalog/menu/add', 'token=' . $this->session->data['token'] . $url, 'SSL');
		} else {
			$data['action'] = $this->url->link('catalog/menu/edit', 'token=' . $this->session->data['token'] . '&menu_id=' . $this->request->get['menu_id'] . $url, 'SSL');
		}

		$data['cancel'] = $this->url->link('catalog/menu', 'token=' . $this->session->data['token'] . $url, 'SSL');

		if (isset($this->request->get['menu_id']) && ($this->request->server['REQUEST_METHOD'] != 'POST')) {
			$menu_info = $this->model_catalog_menu->getMenu($this->request->get['menu_id']);
		}

		$data['token'] = $this->session->data['token'];
    
		$this->load->model('localisation/language');
		
		$data['languages'] = $this->model_localisation_language->getLanguages();

    if (isset($this->request->post['column'])) {
			$data['column'] = $this->request->post['column'];
		} elseif (!empty($menu_info)) {
			$data['column'] = $menu_info['column'];
		} else {
			$data['column'] = 1;
		}
    
    if (isset($this->request->post['group_id'])) {
			$data['group_id'] = $this->request->post['group_id'];
		} elseif (!empty($menu_info)) {
			$data['group_id'] = $menu_info['group_id'];
		} else {
      if (isset($this->request->get['group_id'])) {
        $data['group_id'] = $this->request->get['group_id'];
      } else {
			 $data['group_id'] = 0;
      }
		}

    if (isset($this->request->post['path'])) {
			$data['path'] = $this->request->post['path'];
		} elseif (!empty($menu_info)) {
			$data['path'] = $menu_info['path'];
		} else {
			$data['path'] = '';
		}

		if (isset($this->request->post['menu_description'])) {
			$data['menu_description'] = $this->request->post['menu_description'];
		} elseif (!empty($menu_info)) {
			$data['menu_description'] = $this->model_catalog_menu->getMenuDescriptions($this->request->get['menu_id']);
		} else {
			$data['menu_description'] = array();
		}

		if (isset($this->request->post['status'])) {
			$data['status'] = $this->request->post['status'];
		} elseif (!empty($menu_info)) {
			$data['status'] = $menu_info['status'];
		} else {
			$data['status'] = 1;
		}
		
		if (isset($this->request->post['target_link'])) {
			$data['target_link'] = $this->request->post['target_link'];
		} elseif (!empty($menu_info)) {
			$data['target_link'] = $menu_info['target_link'];
		} else {
			$data['target_link'] = "";
		}

		
		//$this->data['menus'] = $this->model_catalog_menu->getMenus(0);

		if (isset($this->request->post['parent_id'])) {
			$data['parent_id'] = $this->request->post['parent_id'];
		} elseif (isset($menu_info)) {
			$data['parent_id'] = $menu_info['parent_id'];
		} else {
			$data['parent_id'] = 0;
		}
			
		$this->load->model('setting/store');
		
		$data['stores'] = $this->model_setting_store->getStores();
		
		if (isset($this->request->post['menu_store'])) {
			$data['menu_store'] = $this->request->post['menu_store'];
		} elseif (!empty($menu_info)) {
			$data['menu_store'] = $this->model_catalog_menu->getMenuStores($this->request->get['menu_id']);
		} else {
			$data['menu_store'] = array(0);
		}			
				
		if (isset($this->request->post['sort_order'])) {
			$data['sort_order'] = $this->request->post['sort_order'];
		} elseif (!empty($menu_info)) {
			$data['sort_order'] = $menu_info['sort_order'];
		} else {
			$data['sort_order'] = 0;
		}
    
    $this->load->model('setting/rights');
    
    if (isset($this->request->post['allowed_groups'])) {
			$allowed_groups = $this->request->post['allowed_groups'];
		} elseif (isset($this->request->get['menu_id'])) {
			$allowed_groups = $this->model_setting_rights->getAllowedGroups($this->request->get['menu_id'],3); //3 is menu type
		} else {
      $allowed_groups[] = -1;
		}
    
    $data['allowed_groups'] = array();
    
    $this->load->model('sale/customer_group');
    
    foreach ($allowed_groups as $group_id) {
			$group_info = $this->model_sale_customer_group->getCustomerGroup($group_id);
 
			if ($group_info) {
				$data['allowed_groups'][] = array(
					'group_id' => $group_info['customer_group_id'],
					'name' => $group_info['name']
				);
			}
		}
    
    if (isset($this->request->post['denied_groups'])) {
			$denied_groups = $this->request->post['denied_groups'];
		} elseif (isset($this->request->get['menu_id'])) {
			$denied_groups = $this->model_setting_rights->getDeniedGroups($this->request->get['menu_id'],3); //3 is menu type
		} else {
			$denied_groups = array();
    }
    
    $data['denied_groups'] = array();
    
    foreach ($denied_groups as $group_id) {
			$group_info = $this->model_sale_customer_group->getCustomerGroup($group_id);
 
			if ($group_info) {
				$data['denied_groups'][] = array(
					'group_id' => $group_info['customer_group_id'],
					'name' => $group_info['name']
				);
			}
		}
      
    if (isset($this->request->post['allowed_users'])) {
			$allowed_users = $this->request->post['allowed_users'];
		} elseif (isset($this->request->get['menu_id'])) {
			$allowed_users = $this->model_setting_rights->getAllowedUsers($this->request->get['menu_id'],3); //3 is menu type
		} else {
			$allowed_users = array();
		}
    
    $data['allowed_users'] = array();
    
    $this->load->model('sale/customer');
    
    foreach ($allowed_users as $user_id) {
			$user_info = $this->model_sale_customer->getCustomer($user_id);
 
			if ($user_info) {
				$data['allowed_users'][] = array(
					'user_id' => $user_info['customer_id'],
					'name' => $user_info['firstname']. " " . $user_info['lastname']
				);
			}
		}
    
    if (isset($this->request->post['denied_users'])) {
			$denied_users = $this->request->post['denied_users'];
		} elseif (isset($this->request->get['menu_id'])) {
			$denied_users = $this->model_setting_rights->getDeniedUsers($this->request->get['menu_id'],3); //3 is menu type
		} else {
			$denied_users = array();
		}
    
    $data['denied_users'] = array();
    
    foreach ($denied_users as $user_id) {
			$user_info = $this->model_sale_customer->getCustomer($user_id);
 
			if ($user_info) {
				$data['denied_users'][] = array(
					'user_id' => $user_info['customer_id'],
					'name' => $user_info['firstname']. " " . $user_info['lastname']
				);
			}
		}
    
    $this->load->model('catalog/menu_group');
    
    $data['menu_groups'] = array();
    
    $groups = $this->model_catalog_menu_group->getMenuGroups();
    
    if (!empty($groups)) {
    
      $data['menu_groups'] = $this->model_catalog_menu_group->getMenuGroups();
      
    }
		
		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('catalog/menu_form.tpl', $data));
	}

	private function validateForm() {
		if (!$this->user->hasPermission('modify', 'catalog/menu')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		foreach ($this->request->post['menu_description'] as $language_id => $value) {
			if ((utf8_strlen($value['name']) < 2) || (utf8_strlen($value['name']) > 255)) {
				$this->error['name'][$language_id] = $this->language->get('error_name');
			}
		}

		if ($this->error && !isset($this->error['warning'])) {
			$this->error['warning'] = $this->language->get('error_warning');
		}

		return !$this->error;
	}

	private function validateDelete() {
		if (!$this->user->hasPermission('modify', 'catalog/menu')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
 
		return !$this->error;
	}
  
  protected function validateRepair() {
		if (!$this->user->hasPermission('modify', 'catalog/menu')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		return !$this->error;
	}
  
  public function autocomplete() {
		$json = array();

		if (isset($this->request->get['filter_name'])) {
    
      $this->load->model('catalog/menu');

			$filter_data = array(
				'filter_name' => $this->request->get['filter_name'],
				'start'       => 0,
				'limit'       => 5
			);

			$results = $this->model_catalog_menu->getMenus($filter_data);

			foreach ($results as $result) {
				$json[] = array(
					'menu_id' => $result['menu_id'],
					'name'        => strip_tags(html_entity_decode($result['name'], ENT_QUOTES, 'UTF-8'))
				);
			}
		}
		
		if (isset($this->request->get['filter_link'])) {
    
      $this->load->language('catalog/menu');
      
      if (empty($this->request->get['filter_link'])) {
        $json[] = array(
					'link' => HTTP_CATALOG . 'index.php?route=information/contact',
					'name'        => $this->language->get('text_contact')
				);
        
        $json[] = array(
					'link' => HTTP_CATALOG . 'index.php?route=account/account',
					'name'        => $this->language->get('text_account')
				);
      }
      
  			$this->load->model('catalog/information');
    
  			$filter_data = array(
  				'filter_name' => $this->request->get['filter_link'],
  				'start'       => 0,
  				'limit'       => 5
  			);
  
  			$results = $this->model_catalog_information->getInformations($filter_data);
        
        if ($results) {
          $json[] = array(
    					'link' => '',
    					'name' => $this->language->get('text_information')
    				);
        }
        
  			foreach ($results as $result) {
  				$json[] = array(
  					'link' => HTTP_CATALOG . 'index.php?route=information/information&information_id=' . $result['information_id'],
  					'name'        => strip_tags(html_entity_decode($result['title'], ENT_QUOTES, 'UTF-8'))
  				);
  			}
        
        $this->load->model('catalog/information_category');
        
        $results = $this->model_catalog_information_category->getCategories($filter_data);
        
        if ($results) {
          $json[] = array(
    					'link' => '',
    					'name' => $this->language->get('text_category')
    				);
        }
  
  			foreach ($results as $result) {
  				$json[] = array(
  					'link' => HTTP_CATALOG . 'index.php?route=information/category&path=' . $result['category_id'],
  					'name'        =>  strip_tags(html_entity_decode($result['name'], ENT_QUOTES, 'UTF-8'))
  				);
  			}
        
 		}
 
 		$this->response->addHeader('Content-Type: application/json');
		$this->response->setOutput(json_encode($json));
	}
}
?>