<?php
class ControllerDashboardMap extends Controller {
	public function index() {
		$this->load->language('dashboard/map');

		$data['heading_title'] = $this->language->get('heading_title');
		
		$data['text_users'] = $this->language->get('text_users');
		$data['text_online'] = $this->language->get('text_online');
		
		$data['token'] = $this->session->data['token'];
				
		return $this->load->view('dashboard/map.tpl', $data);
	}
	
	public function map() {
		$json = array();
		
    /*
		$this->load->model('report/sale');
		
		$results = $this->model_report_sale->getTotalOrdersByCountry();
		
		foreach ($results as $result) {
			$json[strtolower($result['iso_code_2'])] = array(
				'total'  => $result['total'],
				'amount' => $this->currency->format($result['amount'], $this->config->get('currency_code'))
			);
		}
	  */
    
    $this->load->model('report/map');
    
    $this->load->model('localisation/country');
    
    $results = $this->model_localisation_country->getCountries();
    
    foreach ($results as $result) {
			$json[strtolower($result['iso_code_2'])] = array(
				'users'  => $this->model_report_map->getTotalUsersByCountry($result['iso_code_2']),
				'online' => $this->model_report_map->getTotalOnlineUsersByCountry($result['iso_code_2'])
			);
		}
    
		$this->response->addHeader('Content-Type: application/json');
		$this->response->setOutput(json_encode($json));
	}
}