<?php
class ControllerModuleInformationElement extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('module/information_element');

		$this->document->setTitle($this->language->get('heading_title'));
		
		$this->load->model('extension/module');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			if (!isset($this->request->get['module_id'])) {
				$this->model_extension_module->addModule('information_element', $this->request->post);
			} else {
				$this->model_extension_module->editModule($this->request->get['module_id'], $this->request->post);
			}
			
			$this->session->data['success'] = $this->language->get('text_success');

			$this->response->redirect($this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'));
		}

		$data['heading_title'] = $this->language->get('heading_title');
		
		$data['text_edit'] = $this->language->get('text_edit');
		$data['text_enabled'] = $this->language->get('text_enabled');
		$data['text_disabled'] = $this->language->get('text_disabled');
    $data['text_yes'] = $this->language->get('text_yes');
		$data['text_no'] = $this->language->get('text_no');

		$data['entry_information'] = $this->language->get('entry_information');
		$data['entry_status'] = $this->language->get('entry_status');
    $data['entry_show_title'] = $this->language->get('entry_show_title');
    $data['entry_show_downloads'] = $this->language->get('entry_show_downloads');
    $data['entry_name'] = $this->language->get('entry_name');
    
    $data['help_auto'] = $this->language->get('help_auto');
    $data['help_show_downloads'] = $this->language->get('help_show_downloads');

		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}
    
    if (isset($this->error['information_id'])) {
			$data['error_information_id'] = $this->error['information_id'];
		} else {
			$data['error_information_id'] = '';
		}
    
    if (isset($this->error['name'])) {
			$data['error_name'] = $this->error['name'];
		} else {
			$data['error_name'] = '';
		}

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_module'),
			'href' => $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL')
		);

	if (!isset($this->request->get['module_id'])) {
			$data['breadcrumbs'][] = array(
				'text' => $this->language->get('heading_title'),
				'href' => $this->url->link('module/information_element', 'token=' . $this->session->data['token'], 'SSL')
			);
		} else {
			$data['breadcrumbs'][] = array(
				'text' => $this->language->get('heading_title'),
				'href' => $this->url->link('module/information_element', 'token=' . $this->session->data['token'] . '&module_id=' . $this->request->get['module_id'], 'SSL')
			);			
		}

    if (!isset($this->request->get['module_id'])) {
			$data['action'] = $this->url->link('module/information_element', 'token=' . $this->session->data['token'], 'SSL');
		} else {
			$data['action'] = $this->url->link('module/information_element', 'token=' . $this->session->data['token'] . '&module_id=' . $this->request->get['module_id'], 'SSL');
		}

		$data['cancel'] = $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL');
		
		if (isset($this->request->get['module_id']) && ($this->request->server['REQUEST_METHOD'] != 'POST')) {
			$module_info = $this->model_extension_module->getModule($this->request->get['module_id']);
		}
    
    if (isset($this->request->post['name'])) {
			$data['name'] = $this->request->post['name'];
		} elseif (!empty($module_info)) {
			$data['name'] = $module_info['name'];
		} else {
			$data['name'] = '';
		}
    
    if (isset($this->request->post['information_id'])) {
			$data['information_id'] = $this->request->post['information_id'];
		} elseif (!empty($module_info)) {
			$data['information_id'] = $module_info['information_id'];
		} else {
			$data['information_id'] = '';
		}
    
    if (!empty($data['information_id'])) {
      $this->load->model('catalog/information');
      $result = $this->model_catalog_information->getInformationDescriptions($data['information_id']);
      $data['title'] = $result[$this->config->get('config_language_id')]['title'];
    } else {
      $data['title'] = '';
    }
    
    if (isset($this->request->post['show_title'])) {
			$data['show_title'] = $this->request->post['show_title'];
		} elseif (!empty($module_info)) {
			$data['show_title'] = $module_info['show_title'];
		} else {
			$data['show_title'] = 0;
		}
    
    if (isset($this->request->post['show_downloads'])) {
			$data['show_downloads'] = $this->request->post['show_downloads'];
		} elseif (!empty($module_info)) {
			$data['show_downloads'] = $module_info['show_downloads'];
		} else {
			$data['show_downloads'] = 0;
		}
    
    if (isset($this->request->post['status'])) {
			$data['status'] = $this->request->post['status'];
		} elseif (!empty($module_info)) {
			$data['status'] = $module_info['status'];
		} else {
			$data['status'] = '';
		}
		
    $data['token'] = $this->session->data['token'];            

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('module/information_element.tpl', $data));
	}

	protected function validate() {
		if (!$this->user->hasPermission('modify', 'module/information_element')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
    
    if ((utf8_strlen($this->request->post['name']) < 3) || (utf8_strlen($this->request->post['name']) > 64)) {
			$this->error['name'] = $this->language->get('error_name');
		}
    
    if (empty($this->request->post['information_id'])) {
		  $this->error['information_id'] = $this->language->get('error_information_id');
		}

		return !$this->error;
	}
}