<?php
class ModelCatalogInformation extends Model {
	public function addInformation($data) {
		$this->event->trigger('pre.admin.add.information', $data);

		$this->db->query("INSERT INTO " . DB_PREFIX . "information SET sort_order = '" . (int)$data['sort_order'] . "', bottom = '" . (isset($data['bottom']) ? (int)$data['bottom'] : 0) . "', resize = '" . (int)$data['resize'] . "', status = '" . (int)$data['status'] . "', target_link = '". $this->db->escape($data['target_link']) . "', date_added = NOW(), date_modified = NOW()");

		$information_id = $this->db->getLastId();
    
    if (isset($data['image'])) {
			$this->db->query("UPDATE " . DB_PREFIX . "information SET image = '" . $this->db->escape($data['image']) . "' WHERE information_id = '" . (int)$information_id . "'");
		}
    
    if (isset($data['list_image'])) {
			$this->db->query("UPDATE " . DB_PREFIX . "information SET list_image = '" . $this->db->escape($data['list_image']) . "' WHERE information_id = '" . (int)$information_id . "'");
		}

		foreach ($data['information_description'] as $language_id => $value) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "information_description SET information_id = '" . (int)$information_id . "', language_id = '" . (int)$language_id . "', title = '" . $this->db->escape($value['title']) . "', description = '" . $this->db->escape($value['description']) . "', short_description = '" . $this->db->escape($value['short_description']) . "', tag = '" . $this->db->escape($value['tag']) . "', meta_title = '" . $this->db->escape($value['meta_title']) . "', meta_description = '" . $this->db->escape($value['meta_description']) . "', meta_keyword = '" . $this->db->escape($value['meta_keyword']) . "'");
		}

		if (isset($data['information_store'])) {
			foreach ($data['information_store'] as $store_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "information_to_store SET information_id = '" . (int)$information_id . "', store_id = '" . (int)$store_id . "'");
			}
		}

		if (isset($data['information_layout'])) {
			foreach ($data['information_layout'] as $store_id => $layout_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "information_to_layout SET information_id = '" . (int)$information_id . "', store_id = '" . (int)$store_id . "', layout_id = '" . (int)$layout_id . "'");
			}
		}

		if (!empty($data['keyword'])) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "url_alias SET query = 'information_id=" . (int)$information_id . "', keyword = '" . $this->db->escape($data['keyword']) . "'");
		}
    
    if (isset($data['information_category'])) {
			foreach ($data['information_category'] as $category_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "information_to_category SET information_id = '" . (int)$information_id . "', category_id = '" . (int)$category_id . "'");
			}
		}
    
    if (isset($data['information_download'])) {
			foreach ($data['information_download'] as $download_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "information_to_download SET information_id = '" . (int)$information_id . "', download_id = '" . (int)$download_id . "'");
			}
		}
    
    if (isset($data['information_galleries'])) {
			foreach ($data['information_galleries'] as $banner_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "banner_to_information SET information_id = '" . (int)$information_id . "', banner_id = '" . (int)$banner_id . "'");
			}
		}
    
    if (isset($data['allowed_groups'])) {
			foreach ($data['allowed_groups'] as $group_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "allowed_groups SET object_id = '" . (int)$information_id . "', object_type = '1', group_id = '" . (int)$group_id . "'");
			}
		}
    
    if (isset($data['denied_groups'])) {
			foreach ($data['denied_groups'] as $group_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "denied_groups SET object_id = '" . (int)$information_id . "', object_type = '1', group_id = '" . (int)$group_id . "'");
			}
		}
    
    if (isset($data['allowed_users'])) {
			foreach ($data['allowed_users'] as $user_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "allowed_users SET object_id = '" . (int)$information_id . "', object_type = '1', user_id = '" . (int)$user_id . "'");
			}
		}
    
    if (isset($data['denied_users'])) {
			foreach ($data['denied_users'] as $user_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "denied_users SET object_id = '" . (int)$information_id . "', object_type = '1', user_id = '" . (int)$user_id . "'");
			}
		}
    
    if (isset($data['information_related'])) {
			foreach ($data['information_related'] as $related_id) {
				$this->db->query("DELETE FROM " . DB_PREFIX . "information_related WHERE information_id = '" . (int)$information_id . "' AND related_id = '" . (int)$related_id . "'");
				$this->db->query("INSERT INTO " . DB_PREFIX . "information_related SET information_id = '" . (int)$information_id . "', related_id = '" . (int)$related_id . "'");
				$this->db->query("DELETE FROM " . DB_PREFIX . "information_related WHERE information_id = '" . (int)$related_id . "' AND related_id = '" . (int)$information_id . "'");
				$this->db->query("INSERT INTO " . DB_PREFIX . "information_related SET information_id = '" . (int)$related_id . "', related_id = '" . (int)$information_id . "'");
			}
		}
    
		$this->cache->delete('information');

		$this->event->trigger('post.admin.add.information', $information_id);

		return $information_id;
	}

	public function editInformation($information_id, $data) {
		$this->event->trigger('pre.admin.edit.information', $data);

		$this->db->query("UPDATE " . DB_PREFIX . "information SET sort_order = '" . (int)$data['sort_order'] . "', bottom = '" . (isset($data['bottom']) ? (int)$data['bottom'] : 0) . "', resize = '" . (int)$data['resize'] . "', status = '" . (int)$data['status'] . "', target_link = '". $this->db->escape($data['target_link']) . "', date_modified = NOW() WHERE information_id = '" . (int)$information_id . "'");

    if (isset($data['image'])) {
			$this->db->query("UPDATE " . DB_PREFIX . "information SET image = '" . $this->db->escape($data['image']) . "' WHERE information_id = '" . (int)$information_id . "'");
		}
    
    if (isset($data['list_image'])) {
			$this->db->query("UPDATE " . DB_PREFIX . "information SET list_image = '" . $this->db->escape($data['list_image']) . "' WHERE information_id = '" . (int)$information_id . "'");
		}

		$this->db->query("DELETE FROM " . DB_PREFIX . "information_description WHERE information_id = '" . (int)$information_id . "'");

		foreach ($data['information_description'] as $language_id => $value) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "information_description SET information_id = '" . (int)$information_id . "', language_id = '" . (int)$language_id . "', title = '" . $this->db->escape($value['title']) . "', description = '" . $this->db->escape($value['description']) . "', short_description = '" . $this->db->escape($value['short_description']) . "', tag = '" . $this->db->escape($value['tag']) . "', meta_title = '" . $this->db->escape($value['meta_title']) . "', meta_description = '" . $this->db->escape($value['meta_description']) . "', meta_keyword = '" . $this->db->escape($value['meta_keyword']) . "'");
		}

		$this->db->query("DELETE FROM " . DB_PREFIX . "information_to_store WHERE information_id = '" . (int)$information_id . "'");

		if (isset($data['information_store'])) {
			foreach ($data['information_store'] as $store_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "information_to_store SET information_id = '" . (int)$information_id . "', store_id = '" . (int)$store_id . "'");
			}
		}

		$this->db->query("DELETE FROM " . DB_PREFIX . "information_to_layout WHERE information_id = '" . (int)$information_id . "'");

		if (isset($data['information_layout'])) {
			foreach ($data['information_layout'] as $store_id => $layout_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "information_to_layout SET information_id = '" . (int)$information_id . "', store_id = '" . (int)$store_id . "', layout_id = '" . (int)$layout_id . "'");
			}
		}

		$this->db->query("DELETE FROM " . DB_PREFIX . "url_alias WHERE query = 'information_id=" . (int)$information_id . "'");

		if ($data['keyword']) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "url_alias SET query = 'information_id=" . (int)$information_id . "', keyword = '" . $this->db->escape($data['keyword']) . "'");
		}
    
    $this->db->query("DELETE FROM " . DB_PREFIX . "information_to_category WHERE information_id = '" . (int)$information_id . "'");
    
    if (isset($data['information_category'])) {
			foreach ($data['information_category'] as $category_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "information_to_category SET information_id = '" . (int)$information_id . "', category_id = '" . (int)$category_id . "'");
			}
		}
    
    $this->db->query("DELETE FROM " . DB_PREFIX . "information_to_download WHERE information_id = '" . (int)$information_id . "'");
    
    if (isset($data['information_download'])) {
			foreach ($data['information_download'] as $download_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "information_to_download SET information_id = '" . (int)$information_id . "', download_id = '" . (int)$download_id . "'");
			}
		}    
    
    $this->db->query("DELETE FROM " . DB_PREFIX . "banner_to_information WHERE information_id = '" . (int)$information_id . "'");
    
    if (isset($data['information_galleries'])) {
			foreach ($data['information_galleries'] as $banner_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "banner_to_information SET information_id = '" . (int)$information_id . "', banner_id = '" . (int)$banner_id . "'");
			}
		}
    
    $this->db->query("DELETE FROM " . DB_PREFIX . "allowed_groups WHERE object_id = '" . (int)$information_id . "' AND object_type = '1'");
    
    if (isset($data['allowed_groups'])) {
			foreach ($data['allowed_groups'] as $group_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "allowed_groups SET object_id = '" . (int)$information_id . "', object_type = '1', group_id = '" . (int)$group_id . "'");
			}
		}
    
    $this->db->query("DELETE FROM " . DB_PREFIX . "denied_groups WHERE object_id = '" . (int)$information_id . "' AND object_type = '1'");
    
    if (isset($data['denied_groups'])) {
			foreach ($data['denied_groups'] as $group_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "denied_groups SET object_id = '" . (int)$information_id . "', object_type = '1', group_id = '" . (int)$group_id . "'");
			}
		}
    
    $this->db->query("DELETE FROM " . DB_PREFIX . "allowed_users WHERE object_id = '" . (int)$information_id . "' AND object_type = '1'");
    
    if (isset($data['allowed_users'])) {
			foreach ($data['allowed_users'] as $user_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "allowed_users SET object_id = '" . (int)$information_id . "', object_type = '1', user_id = '" . (int)$user_id . "'");
			}
		}
    
    $this->db->query("DELETE FROM " . DB_PREFIX . "denied_users WHERE object_id = '" . (int)$information_id . "' AND object_type = '1'");
    
    if (isset($data['denied_users'])) {
			foreach ($data['denied_users'] as $user_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "denied_users SET object_id = '" . (int)$information_id . "', object_type = '1', user_id = '" . (int)$user_id . "'");
			}
		}
    
    $this->db->query("DELETE FROM " . DB_PREFIX . "information_related WHERE information_id = '" . (int)$information_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "information_related WHERE related_id = '" . (int)$information_id . "'");
    
    if (isset($data['information_related'])) {
			foreach ($data['information_related'] as $related_id) {
				$this->db->query("DELETE FROM " . DB_PREFIX . "information_related WHERE information_id = '" . (int)$information_id . "' AND related_id = '" . (int)$related_id . "'");
				$this->db->query("INSERT INTO " . DB_PREFIX . "information_related SET information_id = '" . (int)$information_id . "', related_id = '" . (int)$related_id . "'");
				$this->db->query("DELETE FROM " . DB_PREFIX . "information_related WHERE information_id = '" . (int)$related_id . "' AND related_id = '" . (int)$information_id . "'");
				$this->db->query("INSERT INTO " . DB_PREFIX . "information_related SET information_id = '" . (int)$related_id . "', related_id = '" . (int)$information_id . "'");
			}
		}

		$this->cache->delete('information');

		$this->event->trigger('post.admin.edit.information', $information_id);
	}

	public function deleteInformation($information_id) {
		$this->event->trigger('pre.admin.delete.information', $information_id);

		$this->db->query("DELETE FROM " . DB_PREFIX . "information WHERE information_id = '" . (int)$information_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "information_description WHERE information_id = '" . (int)$information_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "information_to_store WHERE information_id = '" . (int)$information_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "information_to_layout WHERE information_id = '" . (int)$information_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "url_alias WHERE query = 'information_id=" . (int)$information_id . "'");
    $this->db->query("DELETE FROM " . DB_PREFIX . "information_to_category WHERE information_id = '" . (int)$information_id . "'");
    $this->db->query("DELETE FROM " . DB_PREFIX . "allowed_groups WHERE object_id = '" . (int)$information_id . "' AND object_type = '1'");
    $this->db->query("DELETE FROM " . DB_PREFIX . "denied_groups WHERE object_id = '" . (int)$information_id . "' AND object_type = '1'");
    $this->db->query("DELETE FROM " . DB_PREFIX . "allowed_users WHERE object_id = '" . (int)$information_id . "' AND object_type = '1'");
    $this->db->query("DELETE FROM " . DB_PREFIX . "denied_users WHERE object_id = '" . (int)$information_id . "' AND object_type = '1'");
    $this->db->query("DELETE FROM " . DB_PREFIX . "review WHERE information_id = '" . (int)$information_id . "'");
    $this->db->query("DELETE FROM " . DB_PREFIX . "banner_to_information WHERE information_id = '" . (int)$information_id . "'");
    $this->db->query("DELETE FROM " . DB_PREFIX . "information_to_download WHERE information_id = '" . (int)$information_id . "'");
    $this->db->query("DELETE FROM " . DB_PREFIX . "information_related WHERE information_id = '" . (int)$information_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "information_related WHERE related_id = '" . (int)$information_id . "'");
    
		$this->cache->delete('information');

		$this->event->trigger('post.admin.delete.information', $information_id);
	}

	public function getInformation($information_id) {
		$query = $this->db->query("SELECT DISTINCT *, (SELECT keyword FROM " . DB_PREFIX . "url_alias WHERE query = 'information_id=" . (int)$information_id . "') AS keyword FROM " . DB_PREFIX . "information i LEFT JOIN " . DB_PREFIX . "information_description id ON (i.information_id = id.information_id) WHERE i.information_id = '" . (int)$information_id . "' AND id.language_id = '" . (int)$this->config->get('config_language_id') . "'");

		return $query->row;
	}

	public function getInformations($data = array()) {
		if ($data) {
      
      $sql = "SELECT *";

      if (!empty($data['filter_category_id'])) {
			$sql .= " FROM " . DB_PREFIX . "information_to_category i2c LEFT JOIN " . DB_PREFIX . "information i ON (i2c.information_id = i.information_id)";
			} else {
  			$sql .= " FROM " . DB_PREFIX . "information i";
  		}    
    
			$sql .= " LEFT JOIN " . DB_PREFIX . "information_description id ON (i.information_id = id.information_id) WHERE id.language_id = '" . (int)$this->config->get('config_language_id') . "'";
      
      if (!empty($data['filter_category_id'])) {
				$sql .= " AND i2c.category_id = '" . (int)$data['filter_category_id'] . "'";
			}
      
      if (!empty($data['filter_name'])) $data['filter_title'] = $data['filter_name'];
      
      if (!empty($data['filter_title'])) {
			 $sql .= " AND id.title LIKE '%" . $this->db->escape($data['filter_title']) . "%'";
		  }
      
      if (!empty($data['filter_fromdate_added'])) {
        $sql .= " AND DATE(i.date_added) >= DATE('" . $this->db->escape($data['filter_fromdate_added']) . "')";
			}
      
      if (!empty($data['filter_todate_added'])) {
        $sql .= " AND DATE(i.date_added) <= DATE('" . $this->db->escape($data['filter_todate_added']) . "')";
			}
      
      if (isset($data['filter_status']) && $data['filter_status'] !== null) {
			 $sql .= " AND i.status = '" . (int)$data['filter_status'] . "'";
		  }

			$sort_data = array(
				'id.title',
				'i.sort_order',
        'i.date_added'
			);

			if (isset($data['sort']) && in_array($data['sort'], $sort_data)) {
				$sql .= " ORDER BY " . $data['sort'];
			} else {
				$sql .= " ORDER BY id.title";
			}

			if (isset($data['order']) && ($data['order'] == 'DESC')) {
				$sql .= " DESC";
			} else {
				$sql .= " ASC";
			}

			if (isset($data['start']) || isset($data['limit'])) {
				if ($data['start'] < 0) {
					$data['start'] = 0;
				}

				if ($data['limit'] < 1) {
					$data['limit'] = 20;
				}

				$sql .= " LIMIT " . (int)$data['start'] . "," . (int)$data['limit'];
			}
      
			$query = $this->db->query($sql);

			return $query->rows;
		} else {
			$information_data = $this->cache->get('information.' . (int)$this->config->get('config_language_id'));

			if (!$information_data) {
				$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "information i LEFT JOIN " . DB_PREFIX . "information_description id ON (i.information_id = id.information_id) WHERE id.language_id = '" . (int)$this->config->get('config_language_id') . "' ORDER BY id.title");

				$information_data = $query->rows;

				$this->cache->set('information.' . (int)$this->config->get('config_language_id'), $information_data);
			}

			return $information_data;
		}
	}

	public function getInformationDescriptions($information_id) {
		$information_description_data = array();

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "information_description WHERE information_id = '" . (int)$information_id . "'");

		foreach ($query->rows as $result) {
			$information_description_data[$result['language_id']] = array(
				'title'            => $result['title'],
				'description'      => $result['description'],
        'short_description' => $result['short_description'],
				'meta_title'       => $result['meta_title'],
				'meta_description' => $result['meta_description'],
				'meta_keyword'     => $result['meta_keyword'],
        'tag'              => $result['tag']
			);
		}
     
		return $information_description_data;
	}

	public function getInformationStores($information_id) {
		$information_store_data = array();

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "information_to_store WHERE information_id = '" . (int)$information_id . "'");

		foreach ($query->rows as $result) {
			$information_store_data[] = $result['store_id'];
		}

		return $information_store_data;
	}

	public function getInformationLayouts($information_id) {
		$information_layout_data = array();

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "information_to_layout WHERE information_id = '" . (int)$information_id . "'");

		foreach ($query->rows as $result) {
			$information_layout_data[$result['store_id']] = $result['layout_id'];
		}

		return $information_layout_data;
	}

	public function getTotalInformations($data = array()) {
		
      $sql = "SELECT COUNT(DISTINCT i.information_id) AS total";

      if (!empty($data['filter_category_id'])) {
			$sql .= " FROM " . DB_PREFIX . "information_to_category i2c LEFT JOIN " . DB_PREFIX . "information i ON (i2c.information_id = i.information_id)";
			} else {
  			$sql .= " FROM " . DB_PREFIX . "information i";
  		}    
    
			$sql .= " LEFT JOIN " . DB_PREFIX . "information_description id ON (i.information_id = id.information_id) WHERE id.language_id = '" . (int)$this->config->get('config_language_id') . "'";
      
      if (!empty($data['filter_category_id'])) {
				$sql .= " AND i2c.category_id = '" . (int)$data['filter_category_id'] . "'";
			}
    
    if (!empty($data['filter_title'])) {
			$sql .= " AND id.title LIKE '%" . $this->db->escape($data['filter_title']) . "%'";
		}
      
    if (!empty($data['filter_fromdate_added'])) {
      $sql .= " AND DATE(i.date_added) >= DATE('" . $this->db->escape($data['filter_fromdate_added']) . "')";
		}
      
    if (!empty($data['filter_todate_added'])) {
      $sql .= " AND DATE(i.date_added) <= DATE('" . $this->db->escape($data['filter_todate_added']) . "')";
		}
      
    if (isset($data['filter_status']) && $data['filter_status'] !== null) {
			$sql .= " AND i.status = '" . (int)$data['filter_status'] . "'";
		}
    
    $query = $this->db->query($sql);

		return $query->row['total'];
	}

	public function getTotalInformationsByLayoutId($layout_id) {
		$query = $this->db->query("SELECT COUNT(*) AS total FROM " . DB_PREFIX . "information_to_layout WHERE layout_id = '" . (int)$layout_id . "'");

		return $query->row['total'];
	}
  
  public function getInformationCategories($information_id) {
		$information_category_data = array();

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "information_to_category WHERE information_id = '" . (int)$information_id . "'");

		foreach ($query->rows as $result) {
			$information_category_data[] = $result['category_id'];
		}
    
		return $information_category_data;
	}
  
  public function getInformationGalleries($information_id) {
		$information_gallery_data = array();

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "banner_to_information WHERE information_id = '" . (int)$information_id . "'");

		foreach ($query->rows as $result) {
			$information_gallery_data[] = $result['banner_id'];
		}
    
		return $information_gallery_data;
	}
  
  public function getInformationDownloads($information_id) {
		$information_download_data = array();

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "information_to_download WHERE information_id = '" . (int)$information_id . "'");

		foreach ($query->rows as $result) {
			$information_download_data[] = $result['download_id'];
		}

		return $information_download_data;
	}
  
  public function getInformationRelated($information_id) {
		$information_related_data = array();

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "information_related WHERE information_id = '" . (int)$information_id . "'");

		foreach ($query->rows as $result) {
			$information_related_data[] = $result['related_id'];
		}

		return $information_related_data;
	}
  
}