<?php
class ModelCatalogInformationCategory extends Model {
	public function addCategory($data) {
		$this->event->trigger('pre.admin.add.information_category', $data);

		$this->db->query("INSERT INTO " . DB_PREFIX . "information_category SET parent_id = '" . (int)$data['parent_id'] . "', show_downloads = '" . (int)$data['show_downloads'] . "', `special` = '" . (isset($data['special']) ? (int)$data['special'] : 0) . "', `show_item_date` = '" . (isset($data['show_item_date']) ? (int)$data['show_item_date'] : 0) . "', `simple_subcategories` = '" . (isset($data['simple_subcategories']) ? (int)$data['simple_subcategories'] : 0) . "', `simple_items` = '" . (isset($data['simple_items']) ? (int)$data['simple_items'] : 0) . "', target_link = '" . $this->db->escape($data['target_link']) . "', default_sort_order = '" . $this->db->escape($data['default_sort_order']) . "', sort_order = '" . (int)$data['sort_order'] . "', status = '" . (int)$data['status'] . "', date_modified = NOW(), date_added = NOW()");

		$category_id = $this->db->getLastId();

		if (isset($data['image'])) {
			$this->db->query("UPDATE " . DB_PREFIX . "information_category SET image = '" . $this->db->escape($data['image']) . "' WHERE category_id = '" . (int)$category_id . "'");
		}

		foreach ($data['category_description'] as $language_id => $value) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "information_category_description SET category_id = '" . (int)$category_id . "', language_id = '" . (int)$language_id . "', name = '" . $this->db->escape($value['name']) . "', description = '" . $this->db->escape($value['description']) . "', meta_title = '" . $this->db->escape($value['meta_title']) . "', meta_description = '" . $this->db->escape($value['meta_description']) . "', meta_keyword = '" . $this->db->escape($value['meta_keyword']) . "'");
		}

		// MySQL Hierarchical Data Closure Table Pattern
		$level = 0;

		$query = $this->db->query("SELECT * FROM `" . DB_PREFIX . "information_category_path` WHERE category_id = '" . (int)$data['parent_id'] . "' ORDER BY `level` ASC");

		foreach ($query->rows as $result) {
			$this->db->query("INSERT INTO `" . DB_PREFIX . "information_category_path` SET `category_id` = '" . (int)$category_id . "', `path_id` = '" . (int)$result['path_id'] . "', `level` = '" . (int)$level . "'");

			$level++;
		}

		$this->db->query("INSERT INTO `" . DB_PREFIX . "information_category_path` SET `category_id` = '" . (int)$category_id . "', `path_id` = '" . (int)$category_id . "', `level` = '" . (int)$level . "'");

	
		if (isset($data['category_store'])) {
			foreach ($data['category_store'] as $store_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "information_category_to_store SET category_id = '" . (int)$category_id . "', store_id = '" . (int)$store_id . "'");
			}
		}

		// Set which layout to use with this category
		if (isset($data['category_layout'])) {
			foreach ($data['category_layout'] as $store_id => $layout_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "information_category_to_layout SET category_id = '" . (int)$category_id . "', store_id = '" . (int)$store_id . "', layout_id = '" . (int)$layout_id . "'");
			}
		}

		if (!empty($data['keyword'])) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "url_alias SET query = 'information_category_id=" . (int)$category_id . "', keyword = '" . $this->db->escape($data['keyword']) . "'");
		}
    
    if (isset($data['allowed_groups'])) {
			foreach ($data['allowed_groups'] as $group_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "allowed_groups SET object_id = '" . (int)$category_id . "', object_type = '2', group_id = '" . (int)$group_id . "'");
			}
		}
    
    if (isset($data['denied_groups'])) {
			foreach ($data['denied_groups'] as $group_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "denied_groups SET object_id = '" . (int)$category_id . "', object_type = '2', group_id = '" . (int)$group_id . "'");
			}
		}
    
    if (isset($data['allowed_users'])) {
			foreach ($data['allowed_users'] as $user_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "allowed_users SET object_id = '" . (int)$category_id . "', object_type = '2', user_id = '" . (int)$user_id . "'");
			}
		}
    
    if (isset($data['denied_users'])) {
			foreach ($data['denied_users'] as $user_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "denied_users SET object_id = '" . (int)$category_id . "', object_type = '2', user_id = '" . (int)$user_id . "'");
			}
		}

		$this->cache->delete('information_category');

		$this->event->trigger('post.admin.add.information_category', $category_id);

		return $category_id;
	}

	public function editCategory($category_id, $data) {
		$this->event->trigger('pre.admin.edit.information_category', $data);

		$this->db->query("UPDATE " . DB_PREFIX . "information_category SET parent_id = '" . (int)$data['parent_id'] . "', show_downloads = '" . (int)$data['show_downloads'] . "', `special` = '" . (isset($data['special']) ? (int)$data['special'] : 0) . "', `show_item_date` = '" . (isset($data['show_item_date']) ? (int)$data['show_item_date'] : 0) . "', `simple_subcategories` = '" . (isset($data['simple_subcategories']) ? (int)$data['simple_subcategories'] : 0) . "', `simple_items` = '" . (isset($data['simple_items']) ? (int)$data['simple_items'] : 0) . "', target_link = '" . $this->db->escape($data['target_link']) . "', default_sort_order = '" . $this->db->escape($data['default_sort_order']) . "', sort_order = '" . (int)$data['sort_order'] . "', status = '" . (int)$data['status'] . "', date_modified = NOW() WHERE category_id = '" . (int)$category_id . "'");

		if (isset($data['image'])) {
			$this->db->query("UPDATE " . DB_PREFIX . "information_category SET image = '" . $this->db->escape($data['image']) . "' WHERE category_id = '" . (int)$category_id . "'");
		}

		$this->db->query("DELETE FROM " . DB_PREFIX . "information_category_description WHERE category_id = '" . (int)$category_id . "'");

		foreach ($data['category_description'] as $language_id => $value) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "information_category_description SET category_id = '" . (int)$category_id . "', language_id = '" . (int)$language_id . "', name = '" . $this->db->escape($value['name']) . "', description = '" . $this->db->escape($value['description']) . "', meta_title = '" . $this->db->escape($value['meta_title']) . "', meta_description = '" . $this->db->escape($value['meta_description']) . "', meta_keyword = '" . $this->db->escape($value['meta_keyword']) . "'");
		}

		// MySQL Hierarchical Data Closure Table Pattern
		$query = $this->db->query("SELECT * FROM `" . DB_PREFIX . "information_category_path` WHERE path_id = '" . (int)$category_id . "' ORDER BY level ASC");

		if ($query->rows) {
			foreach ($query->rows as $category_path) {
				// Delete the path below the current one
				$this->db->query("DELETE FROM `" . DB_PREFIX . "information_category_path` WHERE category_id = '" . (int)$category_path['category_id'] . "' AND level < '" . (int)$category_path['level'] . "'");

				$path = array();

				// Get the nodes new parents
				$query = $this->db->query("SELECT * FROM `" . DB_PREFIX . "information_category_path` WHERE category_id = '" . (int)$data['parent_id'] . "' ORDER BY level ASC");

				foreach ($query->rows as $result) {
					$path[] = $result['path_id'];
				}

				// Get whats left of the nodes current path
				$query = $this->db->query("SELECT * FROM `" . DB_PREFIX . "information_category_path` WHERE category_id = '" . (int)$category_path['category_id'] . "' ORDER BY level ASC");

				foreach ($query->rows as $result) {
					$path[] = $result['path_id'];
				}

				// Combine the paths with a new level
				$level = 0;

				foreach ($path as $path_id) {
					$this->db->query("REPLACE INTO `" . DB_PREFIX . "information_category_path` SET category_id = '" . (int)$category_path['category_id'] . "', `path_id` = '" . (int)$path_id . "', level = '" . (int)$level . "'");

					$level++;
				}
			}
		} else {
			// Delete the path below the current one
			$this->db->query("DELETE FROM `" . DB_PREFIX . "information_category_path` WHERE category_id = '" . (int)$category_id . "'");

			// Fix for records with no paths
			$level = 0;

			$query = $this->db->query("SELECT * FROM `" . DB_PREFIX . "information_category_path` WHERE category_id = '" . (int)$data['parent_id'] . "' ORDER BY level ASC");

			foreach ($query->rows as $result) {
				$this->db->query("INSERT INTO `" . DB_PREFIX . "information_category_path` SET category_id = '" . (int)$category_id . "', `path_id` = '" . (int)$result['path_id'] . "', level = '" . (int)$level . "'");

				$level++;
			}

			$this->db->query("REPLACE INTO `" . DB_PREFIX . "information_category_path` SET category_id = '" . (int)$category_id . "', `path_id` = '" . (int)$category_id . "', level = '" . (int)$level . "'");
		}

		$this->db->query("DELETE FROM " . DB_PREFIX . "information_category_to_store WHERE category_id = '" . (int)$category_id . "'");

		if (isset($data['category_store'])) {
			foreach ($data['category_store'] as $store_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "information_category_to_store SET category_id = '" . (int)$category_id . "', store_id = '" . (int)$store_id . "'");
			}
		}

		$this->db->query("DELETE FROM " . DB_PREFIX . "information_category_to_layout WHERE category_id = '" . (int)$category_id . "'");

		if (isset($data['category_layout'])) {
			foreach ($data['category_layout'] as $store_id => $layout_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "information_category_to_layout SET category_id = '" . (int)$category_id . "', store_id = '" . (int)$store_id . "', layout_id = '" . (int)$layout_id . "'");
			}
		}

		$this->db->query("DELETE FROM " . DB_PREFIX . "url_alias WHERE query = 'information_category_id=" . (int)$category_id . "'");

		if ($data['keyword']) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "url_alias SET query = 'information_category_id=" . (int)$category_id . "', keyword = '" . $this->db->escape($data['keyword']) . "'");
		}

    $this->db->query("DELETE FROM " . DB_PREFIX . "allowed_groups WHERE object_id = '" . (int)$category_id . "' AND object_type = '2'");
    
    if (isset($data['allowed_groups'])) {
			foreach ($data['allowed_groups'] as $group_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "allowed_groups SET object_id = '" . (int)$category_id . "', object_type = '2', group_id = '" . (int)$group_id . "'");
			}
		}
    
    $this->db->query("DELETE FROM " . DB_PREFIX . "denied_groups WHERE object_id = '" . (int)$category_id . "' AND object_type = '2'");
    
    if (isset($data['denied_groups'])) {
			foreach ($data['denied_groups'] as $group_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "denied_groups SET object_id = '" . (int)$category_id . "', object_type = '2', group_id = '" . (int)$group_id . "'");
			}
		}
    
    $this->db->query("DELETE FROM " . DB_PREFIX . "allowed_users WHERE object_id = '" . (int)$category_id . "' AND object_type = '2'");
    
    if (isset($data['allowed_users'])) {
			foreach ($data['allowed_users'] as $user_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "allowed_users SET object_id = '" . (int)$category_id . "', object_type = '2', user_id = '" . (int)$user_id . "'");
			}
		}
    
    $this->db->query("DELETE FROM " . DB_PREFIX . "denied_users WHERE object_id = '" . (int)$category_id . "' AND object_type = '2'");
    
    if (isset($data['denied_users'])) {
			foreach ($data['denied_users'] as $user_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "denied_users SET object_id = '" . (int)$category_id . "', object_type = '2', user_id = '" . (int)$user_id . "'");
			}
		}

		$this->cache->delete('information_category');

		$this->event->trigger('post.admin.edit.information_category', $category_id);
	}

	public function deleteCategory($category_id) {
		$this->event->trigger('pre.admin.delete.information_category', $category_id);

		$this->db->query("DELETE FROM " . DB_PREFIX . "information_category_path WHERE category_id = '" . (int)$category_id . "'");

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "information_category_path WHERE path_id = '" . (int)$category_id . "'");

		foreach ($query->rows as $result) {
			$this->deleteCategory($result['category_id']);
		}

		$this->db->query("DELETE FROM " . DB_PREFIX . "information_category WHERE category_id = '" . (int)$category_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "information_category_description WHERE category_id = '" . (int)$category_id . "'");
		
		$this->db->query("DELETE FROM " . DB_PREFIX . "information_category_to_store WHERE category_id = '" . (int)$category_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "information_category_to_layout WHERE category_id = '" . (int)$category_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "information_to_category WHERE category_id = '" . (int)$category_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "url_alias WHERE query = 'information_category_id=" . (int)$category_id . "'");
    
    $this->db->query("DELETE FROM " . DB_PREFIX . "allowed_groups WHERE object_id = '" . (int)$category_id . "' AND object_type = '2'");
    $this->db->query("DELETE FROM " . DB_PREFIX . "denied_groups WHERE object_id = '" . (int)$category_id . "' AND object_type = '2'");
    $this->db->query("DELETE FROM " . DB_PREFIX . "allowed_users WHERE object_id = '" . (int)$category_id . "' AND object_type = '2'");
    $this->db->query("DELETE FROM " . DB_PREFIX . "denied_users WHERE object_id = '" . (int)$category_id . "' AND object_type = '2'");

		$this->cache->delete('information_category');

		$this->event->trigger('post.admin.delete.information_category', $category_id);
	}

	public function repairCategories($parent_id = 0) {
		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "information_category WHERE parent_id = '" . (int)$parent_id . "'");

		foreach ($query->rows as $category) {
			// Delete the path below the current one
			$this->db->query("DELETE FROM `" . DB_PREFIX . "information_category_path` WHERE category_id = '" . (int)$category['category_id'] . "'");

			// Fix for records with no paths
			$level = 0;

			$query = $this->db->query("SELECT * FROM `" . DB_PREFIX . "information_category_path` WHERE category_id = '" . (int)$parent_id . "' ORDER BY level ASC");

			foreach ($query->rows as $result) {
				$this->db->query("INSERT INTO `" . DB_PREFIX . "information_category_path` SET category_id = '" . (int)$category['category_id'] . "', `path_id` = '" . (int)$result['path_id'] . "', level = '" . (int)$level . "'");

				$level++;
			}

			$this->db->query("REPLACE INTO `" . DB_PREFIX . "information_category_path` SET category_id = '" . (int)$category['category_id'] . "', `path_id` = '" . (int)$category['category_id'] . "', level = '" . (int)$level . "'");

			$this->repairCategories($category['category_id']);
		}
	}

	public function getCategory($category_id) {
		$query = $this->db->query("SELECT DISTINCT *, (SELECT GROUP_CONCAT(cd1.name ORDER BY level SEPARATOR '&nbsp;&nbsp;&gt;&nbsp;&nbsp;') FROM " . DB_PREFIX . "information_category_path cp LEFT JOIN " . DB_PREFIX . "information_category_description cd1 ON (cp.path_id = cd1.category_id AND cp.category_id != cp.path_id) WHERE cp.category_id = c.category_id AND cd1.language_id = '" . (int)$this->config->get('config_language_id') . "' GROUP BY cp.category_id) AS path, (SELECT DISTINCT keyword FROM " . DB_PREFIX . "url_alias WHERE query = 'information_category_id=" . (int)$category_id . "') AS keyword FROM " . DB_PREFIX . "information_category c LEFT JOIN " . DB_PREFIX . "information_category_description cd2 ON (c.category_id = cd2.category_id) WHERE c.category_id = '" . (int)$category_id . "' AND cd2.language_id = '" . (int)$this->config->get('config_language_id') . "'");

		return $query->row;
	}

	public function getCategories($data) {
		$sql = "SELECT cp.category_id AS category_id, GROUP_CONCAT(cd1.name ORDER BY cp.level SEPARATOR '&nbsp;&nbsp;&gt;&nbsp;&nbsp;') AS name, c1.parent_id, c1.sort_order, cd2.name AS own_name FROM " . DB_PREFIX . "information_category_path cp LEFT JOIN " . DB_PREFIX . "information_category c1 ON (cp.category_id = c1.category_id) LEFT JOIN " . DB_PREFIX . "information_category c2 ON (cp.path_id = c2.category_id) LEFT JOIN " . DB_PREFIX . "information_category_description cd1 ON (cp.path_id = cd1.category_id) LEFT JOIN " . DB_PREFIX . "information_category_description cd2 ON (cp.category_id = cd2.category_id) WHERE cd1.language_id = '" . (int)$this->config->get('config_language_id') . "' AND cd2.language_id = '" . (int)$this->config->get('config_language_id') . "'";

		if (!empty($data['filter_name'])) {
			$sql .= " AND cd2.name LIKE '" . $this->db->escape($data['filter_name']) . "%'";
		}
    
    if (!empty($data['filter_special'])) {
			$sql .= " AND c1.special = '1'";
		}

		$sql .= " GROUP BY cp.category_id";

		$sort_data = array(
			'name',
			'sort_order'
		);

		if (isset($data['sort']) && in_array($data['sort'], $sort_data)) {
			$sql .= " ORDER BY " . $data['sort'];
		} else {
			$sql .= " ORDER BY sort_order";
		}

		if (isset($data['order']) && ($data['order'] == 'DESC')) {
			$sql .= " DESC";
		} else {
			$sql .= " ASC";
		}

		if (isset($data['start']) || isset($data['limit'])) {
			if ($data['start'] < 0) {
				$data['start'] = 0;
			}

			if ($data['limit'] < 1) {
				$data['limit'] = 20;
			}

			$sql .= " LIMIT " . (int)$data['start'] . "," . (int)$data['limit'];
		}

		$query = $this->db->query($sql);

		return $query->rows;
	}

	public function getCategoryDescriptions($category_id) {
		$category_description_data = array();

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "information_category_description WHERE category_id = '" . (int)$category_id . "'");

		foreach ($query->rows as $result) {
			$category_description_data[$result['language_id']] = array(
				'name'             => $result['name'],
				'meta_title'       => $result['meta_title'],
				'meta_description' => $result['meta_description'],
				'meta_keyword'     => $result['meta_keyword'],
				'description'      => $result['description']
			);
		}

		return $category_description_data;
	}

	public function getCategoryFilters($category_id) {
		$category_filter_data = array();
    /*
		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "category_filter WHERE category_id = '" . (int)$category_id . "'");

		foreach ($query->rows as $result) {
			$category_filter_data[] = $result['filter_id'];
		}
    */
		return $category_filter_data;
	}

	public function getCategoryStores($category_id) {
		$category_store_data = array();

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "information_category_to_store WHERE category_id = '" . (int)$category_id . "'");

		foreach ($query->rows as $result) {
			$category_store_data[] = $result['store_id'];
		}

		return $category_store_data;
	}

	public function getCategoryLayouts($category_id) {
		$category_layout_data = array();

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "information_category_to_layout WHERE category_id = '" . (int)$category_id . "'");

		foreach ($query->rows as $result) {
			$category_layout_data[$result['store_id']] = $result['layout_id'];
		}

		return $category_layout_data;
	}

	public function getTotalCategories() {
		$query = $this->db->query("SELECT COUNT(*) AS total FROM " . DB_PREFIX . "information_category");

		return $query->row['total'];
	}

	public function getTotalCategoriesByLayoutId($layout_id) {
		$query = $this->db->query("SELECT COUNT(*) AS total FROM " . DB_PREFIX . "information_category_to_layout WHERE layout_id = '" . (int)$layout_id . "'");

		return $query->row['total'];
	}
}