<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form-information" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_form; ?></h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-information" class="form-horizontal">
          <ul class="nav nav-tabs">
            <li class="active"><a href="#tab-general" data-toggle="tab"><?php echo $tab_general; ?></a></li>
            <li><a href="#tab-data" data-toggle="tab"><?php echo $tab_data; ?></a></li>
            <li><a href="#tab-links" data-toggle="tab"><?php echo $tab_links; ?></a></li>
            <li><a href="#tab-galleries" data-toggle="tab"><?php echo $tab_galleries; ?></a></li>
            <li><a href="#tab-design" data-toggle="tab"><?php echo $tab_design; ?></a></li>
            <li><a href="#tab-rights" data-toggle="tab"><?php echo $tab_rights; ?></a></li>
          </ul>
          <div class="tab-content">
            <div class="tab-pane active" id="tab-general">
              <ul class="nav nav-tabs" id="language">
                <?php foreach ($languages as $language) { ?>
                <li><a href="#language<?php echo $language['language_id']; ?>" data-toggle="tab"><img src="view/image/flags/<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" /> <?php echo $language['name']; ?></a></li>
                <?php } ?>
              </ul>
              <div class="tab-content">
                <?php foreach ($languages as $language) { ?>
                <div class="tab-pane" id="language<?php echo $language['language_id']; ?>">
                  <div class="form-group required">
                    <label class="col-sm-2 control-label" for="input-title<?php echo $language['language_id']; ?>"><?php echo $entry_title; ?></label>
                    <div class="col-sm-10">
                      <input type="text" name="information_description[<?php echo $language['language_id']; ?>][title]" value="<?php echo isset($information_description[$language['language_id']]) ? $information_description[$language['language_id']]['title'] : ''; ?>" placeholder="<?php echo $entry_title; ?>" id="input-title<?php echo $language['language_id']; ?>" class="form-control" />
                      <?php if (isset($error_title[$language['language_id']])) { ?>
                      <div class="text-danger"><?php echo $error_title[$language['language_id']]; ?></div>
                      <?php } ?>
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-sm-2 control-label" for="input-description"><?php echo $entry_description; ?></label>
                    <div class="col-sm-10">
                      <textarea name="information_description[<?php echo $language['language_id']; ?>][description]" placeholder="<?php echo $entry_description; ?>" id="input-description<?php echo $language['language_id']; ?>" class="form-control"><?php echo isset($information_description[$language['language_id']]) ? $information_description[$language['language_id']]['description'] : ''; ?></textarea>
                      <?php if (isset($error_description[$language['language_id']])) { ?>
                      <div class="text-danger"><?php echo $error_description[$language['language_id']]; ?></div>
                      <?php } ?>
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-sm-2 control-label" for="input-short_description"><span data-toggle="tooltip" title="<?php echo $help_short_description; ?>"><?php echo $entry_short_description; ?></span></label>
                    <div class="col-sm-10">
                      <textarea name="information_description[<?php echo $language['language_id']; ?>][short_description]" placeholder="<?php echo $entry_short_description; ?>" id="input-short_description<?php echo $language['language_id']; ?>" class="form-control"><?php echo isset($information_description[$language['language_id']]) ? $information_description[$language['language_id']]['short_description'] : ''; ?></textarea>
                    </div>
                  </div>
                  <div class="form-group required">
                    <label class="col-sm-2 control-label" for="input-meta-title<?php echo $language['language_id']; ?>"><?php echo $entry_meta_title; ?></label>
                    <div class="col-sm-10">
                      <input type="text" name="information_description[<?php echo $language['language_id']; ?>][meta_title]" value="<?php echo isset($information_description[$language['language_id']]) ? $information_description[$language['language_id']]['meta_title'] : ''; ?>" placeholder="<?php echo $entry_meta_title; ?>" id="input-meta-title<?php echo $language['language_id']; ?>" class="form-control" />
                      <?php if (isset($error_meta_title[$language['language_id']])) { ?>
                      <div class="text-danger"><?php echo $error_meta_title[$language['language_id']]; ?></div>
                      <?php } ?>
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-sm-2 control-label" for="input-meta-description<?php echo $language['language_id']; ?>"><?php echo $entry_meta_description; ?></label>
                    <div class="col-sm-10">
                      <textarea name="information_description[<?php echo $language['language_id']; ?>][meta_description]" rows="5" placeholder="<?php echo $entry_meta_description; ?>" id="input-meta-description<?php echo $language['language_id']; ?>" class="form-control"><?php echo isset($information_description[$language['language_id']]) ? $information_description[$language['language_id']]['meta_description'] : ''; ?></textarea>
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-sm-2 control-label" for="input-meta-keyword<?php echo $language['language_id']; ?>"><?php echo $entry_meta_keyword; ?></label>
                    <div class="col-sm-10">
                      <textarea name="information_description[<?php echo $language['language_id']; ?>][meta_keyword]" rows="5" placeholder="<?php echo $entry_meta_keyword; ?>" id="input-meta-keyword<?php echo $language['language_id']; ?>" class="form-control"><?php echo isset($information_description[$language['language_id']]) ? $information_description[$language['language_id']]['meta_keyword'] : ''; ?></textarea>
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-sm-2 control-label" for="input-tag<?php echo $language['language_id']; ?>"><span data-toggle="tooltip" title="<?php echo $help_tag; ?>"><?php echo $entry_tag; ?></span></label>
                    <div class="col-sm-10">
                      <input type="text" name="information_description[<?php echo $language['language_id']; ?>][tag]" value="<?php echo isset($information_description[$language['language_id']]) ? $information_description[$language['language_id']]['tag'] : ''; ?>" placeholder="<?php echo $entry_tag; ?>" id="input-tag<?php echo $language['language_id']; ?>" class="form-control" />
                    </div>
                  </div>
                </div>
                <?php } ?>
              </div>
            </div>
            <div class="tab-pane" id="tab-data">
             <?php if (isset($this_links)) { ?>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-this_link"><span data-toggle="tooltip" title="<?php echo $help_this_link; ?>"><?php echo $entry_this_link; ?></span></label>
                <div class="col-sm-10">
                  <textarea wrap="off" rows="<?php echo count($this_links); ?>" readonly="readonly" class="form-control"><?php foreach ($this_links as $this_link) echo $this_link."&#13;&#10;"; ?></textarea>
                </div>
              </div>
             <?php } ?>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-list_image"><span data-toggle="tooltip" title="<?php echo $help_list_image; ?>"><?php echo $entry_list_image; ?></span></label>
                <div class="col-sm-10">
                  <a href="" id="thumb-list_image" data-toggle="image" class="img-thumbnail"><img src="<?php echo $list_thumb; ?>" alt="" title="" data-placeholder="<?php echo $placeholder; ?>" /></a>
                  <input type="hidden" name="list_image" value="<?php echo $list_image; ?>" id="input-list_image" />
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-image"><?php echo $entry_image; ?></label>
                <div class="col-sm-10">
                  <a href="" id="thumb-image" data-toggle="image" class="img-thumbnail"><img src="<?php echo $thumb; ?>" alt="" title="" data-placeholder="<?php echo $placeholder; ?>" /></a>
                  <input type="hidden" name="image" value="<?php echo $image; ?>" id="input-image" />
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-keyword"><span data-toggle="tooltip" title="<?php echo $help_keyword; ?>"><?php echo $entry_keyword; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="keyword" value="<?php echo $keyword; ?>" placeholder="<?php echo $entry_keyword; ?>" id="input-keyword" class="form-control" />
                  <?php if ($error_keyword) { ?>
                  <div class="text-danger"><?php echo $error_keyword; ?></div>
                  <?php } ?>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-bottom"><span data-toggle="tooltip" title="<?php echo $help_bottom; ?>"><?php echo $entry_bottom; ?></span></label>
                <div class="col-sm-10">
                  <div class="checkbox">
                    <label>
                      <?php if ($bottom) { ?>
                      <input type="checkbox" name="bottom" value="1" checked="checked" id="input-bottom" />
                      <?php } else { ?>
                      <input type="checkbox" name="bottom" value="1" id="input-bottom" />
                      <?php } ?>
                      &nbsp; </label>
                  </div>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-status"><?php echo $entry_status; ?></label>
                <div class="col-sm-10">
                  <select name="status" id="input-status" class="form-control">
                    <?php if ($status) { ?>
                    <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                    <option value="0"><?php echo $text_disabled; ?></option>
                    <?php } else { ?>
                    <option value="1"><?php echo $text_enabled; ?></option>
                    <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                    <?php } ?>
                  </select>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-sort-order"><?php echo $entry_sort_order; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="sort_order" value="<?php echo $sort_order; ?>" placeholder="<?php echo $entry_sort_order; ?>" id="input-sort-order" class="form-control" />
                </div>
              </div>
            </div>
            <div class="tab-pane" id="tab-design">
              <div class="table-responsive">
                <table class="table table-bordered table-hover">
                  <thead>
                    <tr>
                      <td class="text-left"><?php echo $entry_store; ?></td>
                      <td class="text-left"><?php echo $entry_layout; ?></td>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <td class="text-left"><?php echo $text_default; ?></td>
                      <td class="text-left"><select name="information_layout[0]" class="form-control">
                          <option value=""></option>
                          <?php foreach ($layouts as $layout) { ?>
                          <?php if (isset($information_layout[0]) && $information_layout[0] == $layout['layout_id']) { ?>
                          <option value="<?php echo $layout['layout_id']; ?>" selected="selected"><?php echo $layout['name']; ?></option>
                          <?php } else { ?>
                          <option value="<?php echo $layout['layout_id']; ?>"><?php echo $layout['name']; ?></option>
                          <?php } ?>
                          <?php } ?>
                        </select></td>
                    </tr>
                    <?php foreach ($stores as $store) { ?>
                    <tr>
                      <td class="text-left"><?php echo $store['name']; ?></td>
                      <td class="text-left"><select name="information_layout[<?php echo $store['store_id']; ?>]" class="form-control">
                          <option value=""></option>
                          <?php foreach ($layouts as $layout) { ?>
                          <?php if (isset($information_layout[$store['store_id']]) && $information_layout[$store['store_id']] == $layout['layout_id']) { ?>
                          <option value="<?php echo $layout['layout_id']; ?>" selected="selected"><?php echo $layout['name']; ?></option>
                          <?php } else { ?>
                          <option value="<?php echo $layout['layout_id']; ?>"><?php echo $layout['name']; ?></option>
                          <?php } ?>
                          <?php } ?>
                        </select></td>
                    </tr>
                    <?php } ?>
                  </tbody>
                </table>
              </div>
            </div>
            <div class="tab-pane" id="tab-links">
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-target_link"><span data-toggle="tooltip" title="<?php echo $help_link; ?>"><?php echo $entry_target_link; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="target_link" value="<?php echo $target_link; ?>" placeholder="<?php echo $entry_target_link; ?>" id="input-target_link" class="form-control" />
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-category"><span data-toggle="tooltip" title="<?php echo $help_category; ?>"><?php echo $entry_category; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="category" value="" placeholder="<?php echo $entry_category; ?>" id="input-category" class="form-control" />
                  <div id="information-category" class="well well-sm" style="height: 150px; overflow: auto;">
                    <?php foreach ($information_categories as $information_category) { ?>
                    <div id="information-category<?php echo $information_category['category_id']; ?>"><i class="fa fa-minus-circle"></i> <?php echo $information_category['name']; ?>
                      <input type="hidden" name="information_category[]" value="<?php echo $information_category['category_id']; ?>" />
                    </div>
                    <?php } ?>
                  </div>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-download"><span data-toggle="tooltip" title="<?php echo $help_auto; ?>"><?php echo $entry_download; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="download" value="" placeholder="<?php echo $entry_download; ?>" id="input-download" class="form-control" />
                  <div id="information-download" class="well well-sm" style="height: 150px; overflow: auto;">
                    <?php foreach ($information_downloads as $information_download) { ?>
                    <div id="information-download<?php echo $information_download['download_id']; ?>"><i class="fa fa-minus-circle"></i> <?php echo $information_download['name']; ?>
                      <input type="hidden" name="information_download[]" value="<?php echo $information_download['download_id']; ?>" />
                    </div>
                    <?php } ?>
                  </div>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-related"><span data-toggle="tooltip" title="<?php echo $help_auto; ?>"><?php echo $entry_related; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="related" value="" placeholder="<?php echo $entry_related; ?>" id="input-related" class="form-control" />
                  <div id="information-related" class="well well-sm" style="height: 150px; overflow: auto;">
                    <?php foreach ($information_relateds as $information_related) { ?>
                    <div id="information-related<?php echo $information_related['information_id']; ?>"><i class="fa fa-minus-circle"></i> <?php echo $information_related['title']; ?>
                      <input type="hidden" name="information_related[]" value="<?php echo $information_related['information_id']; ?>" />
                    </div>
                    <?php } ?>
                  </div>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label"><?php echo $entry_store; ?></label>
                <div class="col-sm-10">
                  <div class="well well-sm" style="height: 150px; overflow: auto;">
                    <div class="checkbox">
                      <label>
                        <?php if (in_array(0, $information_store)) { ?>
                        <input type="checkbox" name="information_store[]" value="0" checked="checked" />
                        <?php echo $text_default; ?>
                        <?php } else { ?>
                        <input type="checkbox" name="information_store[]" value="0" />
                        <?php echo $text_default; ?>
                        <?php } ?>
                      </label>
                    </div>
                    <?php foreach ($stores as $store) { ?>
                    <div class="checkbox">
                      <label>
                        <?php if (in_array($store['store_id'], $information_store)) { ?>
                        <input type="checkbox" name="information_store[]" value="<?php echo $store['store_id']; ?>" checked="checked" />
                        <?php echo $store['name']; ?>
                        <?php } else { ?>
                        <input type="checkbox" name="information_store[]" value="<?php echo $store['store_id']; ?>" />
                        <?php echo $store['name']; ?>
                        <?php } ?>
                      </label>
                    </div>
                    <?php } ?>
                  </div>
                </div>
              </div>
            </div>
            <div class="tab-pane" id="tab-galleries">
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-status"><span data-toggle="tooltip" title="<?php echo $help_resize; ?>"><?php echo $entry_resize; ?></span></label>
                <div class="col-sm-10">
                  <select name="resize" id="input-status" class="form-control">
                    <?php if ($resize) { ?>
                    <option value="1" selected="selected"><?php echo $text_yes; ?></option>
                    <option value="0"><?php echo $text_no; ?></option>
                    <?php } else { ?>
                    <option value="1"><?php echo $text_yes; ?></option>
                    <option value="0" selected="selected"><?php echo $text_no; ?></option>
                    <?php } ?>
                  </select>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-gallery"><span data-toggle="tooltip" title="<?php echo $help_category; ?>"><?php echo $entry_gallery; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="gallery" value="" placeholder="<?php echo $entry_gallery; ?>" id="input-gallery" class="form-control" />
                  <div id="information-galleries" class="well well-sm" style="height: 150px; overflow: auto;">
                    <?php foreach ($information_galleries as $banner) { ?>
                    <div id="information-galleries<?php echo $banner['banner_id']; ?>"><i class="fa fa-minus-circle"></i> <?php echo $banner['name']; ?>
                      <input type="hidden" name="information_galleries[]" value="<?php echo $banner['banner_id']; ?>" />
                    </div>
                    <?php } ?>
                  </div>
                </div>
              </div>
            </div>
            <div class="tab-pane" id="tab-rights">
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-agroup"><span data-toggle="tooltip" title="<?php echo $help_category; ?>"><?php echo $entry_allowed_groups; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="agroup" value="" placeholder="<?php echo $entry_allowed_groups; ?>" id="input-agroup" class="form-control" />
                  <div id="allowed-groups" class="well well-sm" style="height: 150px; overflow: auto;">
                    <?php foreach ($allowed_groups as $group) { ?>
                    <div id="allowed-groups<?php echo $group['group_id']; ?>"><i class="fa fa-minus-circle"></i> <?php echo $group['name']; ?>
                      <input type="hidden" name="allowed_groups[]" value="<?php echo $group['group_id']; ?>" />
                    </div>
                    <?php } ?>
                  </div>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-dgroup"><span data-toggle="tooltip" title="<?php echo $help_category; ?>"><?php echo $entry_denied_groups; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="dgroup" value="" placeholder="<?php echo $entry_denied_groups; ?>" id="input-dgroup" class="form-control" />
                  <div id="denied-groups" class="well well-sm" style="height: 150px; overflow: auto;">
                    <?php foreach ($denied_groups as $group) { ?>
                    <div id="denied-groups<?php echo $group['group_id']; ?>"><i class="fa fa-minus-circle"></i> <?php echo $group['name']; ?>
                      <input type="hidden" name="denied_groups[]" value="<?php echo $group['group_id']; ?>" />
                    </div>
                    <?php } ?>
                  </div>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-ausers"><span data-toggle="tooltip" title="<?php echo $help_category; ?>"><?php echo $entry_allowed_users; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="auser" value="" placeholder="<?php echo $entry_allowed_users; ?>" id="input-auser" class="form-control" />
                  <div id="allowed-users" class="well well-sm" style="height: 150px; overflow: auto;">
                    <?php foreach ($allowed_users as $user) { ?>
                    <div id="allowed-users<?php echo $user['user_id']; ?>"><i class="fa fa-minus-circle"></i> <?php echo $user['name']; ?>
                      <input type="hidden" name="allowed_users[]" value="<?php echo $user['user_id']; ?>" />
                    </div>
                    <?php } ?>
                  </div>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-duser"><span data-toggle="tooltip" title="<?php echo $help_category; ?>"><?php echo $entry_denied_users; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="duser" value="" placeholder="<?php echo $entry_denied_users; ?>" id="input-duser" class="form-control" />
                  <div id="denied-users" class="well well-sm" style="height: 150px; overflow: auto;">
                    <?php foreach ($denied_users as $user) { ?>
                    <div id="denied-users<?php echo $user['user_id']; ?>"><i class="fa fa-minus-circle"></i> <?php echo $user['name']; ?>
                      <input type="hidden" name="denied_users[]" value="<?php echo $user['user_id']; ?>" />
                    </div>
                    <?php } ?>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
  <script type="text/javascript"><!--
<?php foreach ($languages as $language) { ?>
$('#input-description<?php echo $language['language_id']; ?>').summernote({
	height: 300
});

$('#input-short_description<?php echo $language['language_id']; ?>').summernote({
	height: 300
});
<?php } ?>
//--></script> 
 <script type="text/javascript"><!--
$('#language a:first').tab('show');

// Category
$('input[name=\'category\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=catalog/information_category/autocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request),
			dataType: 'json',			
			success: function(json) {
				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['category_id']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'category\']').val('');
		
		$('#information-category' + item['value']).remove();
		
		$('#information-category').append('<div id="information-category' + item['value'] + '"><i class="fa fa-minus-circle"></i> ' + item['label'] + '<input type="hidden" name="information_category[]" value="' + item['value'] + '" /></div>');	
	}
});

$('#information-category').delegate('.fa-minus-circle', 'click', function() {
	$(this).parent().remove();
});

//allowed_groups

$('input[name=\'agroup\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=sale/customer_group/autocomplete&token=<?php echo $token; ?>&filter_group=' +  encodeURIComponent(request),
			dataType: 'json',			
			success: function(json) {
				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['group_id']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'agroup\']').val('');
		
		$('#allowed-groups' + item['value']).remove();
		
		$('#allowed-groups').append('<div id="allowed-groups' + item['value'] + '"><i class="fa fa-minus-circle"></i> ' + item['label'] + '<input type="hidden" name="allowed_groups[]" value="' + item['value'] + '" /></div>');	
	}
});

$('#allowed-groups').delegate('.fa-minus-circle', 'click', function() {
	$(this).parent().remove();
});

//denied_groups

$('input[name=\'dgroup\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=sale/customer_group/autocomplete&token=<?php echo $token; ?>&filter_group=' +  encodeURIComponent(request),
			dataType: 'json',			
			success: function(json) {
				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['group_id']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'dgroup\']').val('');
		
		$('#denied-groups' + item['value']).remove();
		
		$('#denied-groups').append('<div id="denied-groups' + item['value'] + '"><i class="fa fa-minus-circle"></i> ' + item['label'] + '<input type="hidden" name="denied_groups[]" value="' + item['value'] + '" /></div>');	
	}
});

$('#denied-groups').delegate('.fa-minus-circle', 'click', function() {
	$(this).parent().remove();
});

//allowed_users

$('input[name=\'auser\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=sale/customer/autocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request),
			dataType: 'json',			
			success: function(json) {
				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['customer_id']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'auser\']').val('');
		
		$('#allowed-users' + item['value']).remove();
		
		$('#allowed-users').append('<div id="allowed-users' + item['value'] + '"><i class="fa fa-minus-circle"></i> ' + item['label'] + '<input type="hidden" name="allowed_users[]" value="' + item['value'] + '" /></div>');	
	}
});

$('#allowed-users').delegate('.fa-minus-circle', 'click', function() {
	$(this).parent().remove();
});

//denied_users

$('input[name=\'duser\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=sale/customer/autocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request),
			dataType: 'json',			
			success: function(json) {
				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['customer_id']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'duser\']').val('');
		
		$('#denied-users' + item['value']).remove();
		
		$('#denied-users').append('<div id="denied-users' + item['value'] + '"><i class="fa fa-minus-circle"></i> ' + item['label'] + '<input type="hidden" name="denied_users[]" value="' + item['value'] + '" /></div>');	
	}
});

$('#denied-users').delegate('.fa-minus-circle', 'click', function() {
	$(this).parent().remove();
});

//target link

$('input[name=\'target_link\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=catalog/menu/autocomplete&token=<?php echo $token; ?>&filter_link=' +  encodeURIComponent(request),
			dataType: 'json',
			success: function(json) {
				json.unshift({
					menu_id: 0,
					name: '<?php echo $text_none; ?>'
				});

				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['link']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'target_link\']').val(item['value']);
	}
});

//gallery

$('input[name=\'gallery\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=design/banner/autocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request),
			dataType: 'json',			
			success: function(json) {
				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['banner_id']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'gallery\']').val('');
		
		$('#information-galleries' + item['value']).remove();
		
		$('#information-galleries').append('<div id="information-galleries' + item['value'] + '"><i class="fa fa-minus-circle"></i> ' + item['label'] + '<input type="hidden" name="information_galleries[]" value="' + item['value'] + '" /></div>');	
	}
});

$('#information-galleries').delegate('.fa-minus-circle', 'click', function() {
	$(this).parent().remove();
});

// Downloads
$('input[name=\'download\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=catalog/download/autocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request),
			dataType: 'json',			
			success: function(json) {
				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['download_id']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'download\']').val('');
		
		$('#information-download' + item['value']).remove();
		
		$('#information-download').append('<div id="information-download' + item['value'] + '"><i class="fa fa-minus-circle"></i> ' + item['label'] + '<input type="hidden" name="information_download[]" value="' + item['value'] + '" /></div>');	
	}	
});

$('#information-download').delegate('.fa-minus-circle', 'click', function() {
	$(this).parent().remove();
});

// Related
$('input[name=\'related\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=catalog/information/autocomplete&token=<?php echo $token; ?>&filter_title=' +  encodeURIComponent(request),
			dataType: 'json',			
			success: function(json) {
				response($.map(json, function(item) {
					return {
						label: item['title'],
						value: item['information_id']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'related\']').val('');
		
		$('#information-related' + item['value']).remove();
		
		$('#information-related').append('<div id="information-related' + item['value'] + '"><i class="fa fa-minus-circle"></i> ' + item['label'] + '<input type="hidden" name="information_related[]" value="' + item['value'] + '" /></div>');	
	}	
});

$('#information-related').delegate('.fa-minus-circle', 'click', function() {
	$(this).parent().remove();
});

//--></script></div>
<?php echo $footer; ?>