<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form-menu" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_form; ?></h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-menu" class="form-horizontal">
          <ul class="nav nav-tabs">
            <li class="active"><a href="#tab-general" data-toggle="tab"><?php echo $tab_general; ?></a></li>
            <li><a href="#tab-data" data-toggle="tab"><?php echo $tab_data; ?></a></li>
            <li><a href="#tab-rights" data-toggle="tab"><?php echo $tab_rights; ?></a></li>
          </ul>
          <div class="tab-content">
            <div class="tab-pane active in" id="tab-general">
              <ul class="nav nav-tabs" id="language">
                <?php foreach ($languages as $language) { ?>
                <li><a href="#language<?php echo $language['language_id']; ?>" data-toggle="tab"><img src="view/image/flags/<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" /> <?php echo $language['name']; ?></a></li>
                <?php } ?>
              </ul>
              <div class="tab-content">
                <?php foreach ($languages as $language) { ?>
                <div class="tab-pane" id="language<?php echo $language['language_id']; ?>">
                  <div class="form-group required">
                    <label class="col-sm-2 control-label" for="input-name<?php echo $language['language_id']; ?>"><?php echo $entry_name; ?></label>
                    <div class="col-sm-10">
                      <input type="text" name="menu_description[<?php echo $language['language_id']; ?>][name]" value="<?php echo isset($menu_description[$language['language_id']]) ? $menu_description[$language['language_id']]['name'] : ''; ?>" placeholder="<?php echo $entry_name; ?>" id="input-name<?php echo $language['language_id']; ?>" class="form-control" />
                      <?php if (isset($error_name[$language['language_id']])) { ?>
                      <div class="text-danger"><?php echo $error_name[$language['language_id']]; ?></div>
                      <?php } ?>
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-sm-2 control-label" for="input-description<?php echo $language['language_id']; ?>"><?php echo $entry_description; ?></label>
                    <div class="col-sm-10">
                      <textarea name="menu_description[<?php echo $language['language_id']; ?>][description]" placeholder="<?php echo $entry_description; ?>" id="input-description<?php echo $language['language_id']; ?>" class="form-control"><?php echo isset($menu_description[$language['language_id']]) ? $menu_description[$language['language_id']]['description'] : ''; ?></textarea>
                    </div>
                  </div>
                </div>
                <?php } ?>
              </div>
            </div>
            <div class="tab-pane fade" id="tab-data">
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-target_link"><span data-toggle="tooltip" title="<?php echo $help_link; ?>"><?php echo $entry_target_link; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="target_link" value="<?php echo $target_link; ?>" placeholder="<?php echo $entry_target_link; ?>" id="input-target_link" class="form-control" />
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-group_id"><?php echo $entry_group; ?></label>
                <div class="col-sm-10">
                  <select name="group_id" id="input-group_id" class="form-control">
                    <option value="0"><?php echo $text_main_menu; ?></option>
                    <?php foreach ($menu_groups as $group) { ?>
                    <?php if ($group['menu_group_id'] == $group_id) { ?>
                    <option value="<?php echo $group['menu_group_id']; ?>" selected="selected"><?php echo $group['name']; ?></option>
                    <?php } else { ?>
                    <option value="<?php echo $group['menu_group_id']; ?>"><?php echo $group['name']; ?></option>
                    <?php } ?>
                    <?php } ?>
                  </select>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-parent"><span data-toggle="tooltip" title="<?php echo $help_auto; ?>"><?php echo $entry_parent; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="path" value="<?php echo $path; ?>" placeholder="<?php echo $entry_parent; ?>" id="input-parent" class="form-control" />
                  <input type="hidden" name="parent_id" value="<?php echo $parent_id; ?>" />
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label"><?php echo $entry_store; ?></label>
                <div class="col-sm-10">
                  <div class="well well-sm" style="height: 150px; overflow: auto;">
                    <div class="checkbox">
                      <label>
                        <?php if (in_array(0, $menu_store)) { ?>
                        <input type="checkbox" name="menu_store[]" value="0" checked="checked" />
                        <?php echo $text_default; ?>
                        <?php } else { ?>
                        <input type="checkbox" name="menu_store[]" value="0" />
                        <?php echo $text_default; ?>
                        <?php } ?>
                      </label>
                    </div>
                    <?php foreach ($stores as $store) { ?>
                    <div class="checkbox">
                      <label>
                        <?php if (in_array($store['store_id'], $menu_store)) { ?>
                        <input type="checkbox" name="enu_store[]" value="<?php echo $store['store_id']; ?>" checked="checked" />
                        <?php echo $store['name']; ?>
                        <?php } else { ?>
                        <input type="checkbox" name="menu_store[]" value="<?php echo $store['store_id']; ?>" />
                        <?php echo $store['name']; ?>
                        <?php } ?>
                      </label>
                    </div>
                    <?php } ?>
                  </div>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-column"><span data-toggle="tooltip" title="<?php echo $help_column; ?>"><?php echo $entry_column; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="column" value="<?php echo $column; ?>" placeholder="<?php echo $entry_column; ?>" id="input-column" class="form-control" />
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-sort-order"><?php echo $entry_sort_order; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="sort_order" value="<?php echo $sort_order; ?>" placeholder="<?php echo $entry_sort_order; ?>" id="input-sort-order" class="form-control" />
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-status"><?php echo $entry_status; ?></label>
                <div class="col-sm-10">
                  <select name="status" id="input-status" class="form-control">
                    <?php if ($status) { ?>
                    <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                    <option value="0"><?php echo $text_disabled; ?></option>
                    <?php } else { ?>
                    <option value="1"><?php echo $text_enabled; ?></option>
                    <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                    <?php } ?>
                  </select>
                </div>
              </div>
            </div>
            <div class="tab-pane" id="tab-rights">
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-agroup"><span data-toggle="tooltip" title="<?php echo $help_auto; ?>"><?php echo $entry_allowed_groups; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="agroup" value="" placeholder="<?php echo $entry_allowed_groups; ?>" id="input-agroup" class="form-control" />
                  <div id="allowed-groups" class="well well-sm" style="height: 150px; overflow: auto;">
                    <?php foreach ($allowed_groups as $group) { ?>
                    <div id="allowed-groups<?php echo $group['group_id']; ?>"><i class="fa fa-minus-circle"></i> <?php echo $group['name']; ?>
                      <input type="hidden" name="allowed_groups[]" value="<?php echo $group['group_id']; ?>" />
                    </div>
                    <?php } ?>
                  </div>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-dgroup"><span data-toggle="tooltip" title="<?php echo $help_auto; ?>"><?php echo $entry_denied_groups; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="dgroup" value="" placeholder="<?php echo $entry_denied_groups; ?>" id="input-dgroup" class="form-control" />
                  <div id="denied-groups" class="well well-sm" style="height: 150px; overflow: auto;">
                    <?php foreach ($denied_groups as $group) { ?>
                    <div id="denied-groups<?php echo $group['group_id']; ?>"><i class="fa fa-minus-circle"></i> <?php echo $group['name']; ?>
                      <input type="hidden" name="denied_groups[]" value="<?php echo $group['group_id']; ?>" />
                    </div>
                    <?php } ?>
                  </div>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-ausers"><span data-toggle="tooltip" title="<?php echo $help_auto; ?>"><?php echo $entry_allowed_users; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="auser" value="" placeholder="<?php echo $entry_allowed_users; ?>" id="input-auser" class="form-control" />
                  <div id="allowed-users" class="well well-sm" style="height: 150px; overflow: auto;">
                    <?php foreach ($allowed_users as $user) { ?>
                    <div id="allowed-users<?php echo $user['user_id']; ?>"><i class="fa fa-minus-circle"></i> <?php echo $user['name']; ?>
                      <input type="hidden" name="allowed_users[]" value="<?php echo $user['user_id']; ?>" />
                    </div>
                    <?php } ?>
                  </div>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-duser"><span data-toggle="tooltip" title="<?php echo $help_auto; ?>"><?php echo $entry_denied_users; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="duser" value="" placeholder="<?php echo $entry_denied_users; ?>" id="input-duser" class="form-control" />
                  <div id="denied-users" class="well well-sm" style="height: 150px; overflow: auto;">
                    <?php foreach ($denied_users as $user) { ?>
                    <div id="denied-users<?php echo $user['user_id']; ?>"><i class="fa fa-minus-circle"></i> <?php echo $user['name']; ?>
                      <input type="hidden" name="denied_users[]" value="<?php echo $user['user_id']; ?>" />
                    </div>
                    <?php } ?>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
  <script type="text/javascript"><!--
<?php foreach ($languages as $language) { ?>
$('#input-description<?php echo $language['language_id']; ?>').summernote({
	height: 300
});
<?php } ?>
//--></script> 
  <script type="text/javascript"><!--
$('input[name=\'path\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=catalog/menu/autocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request),
			dataType: 'json',
			success: function(json) {
				json.unshift({
					menu_id: 0,
					name: '<?php echo $text_none; ?>'
				});

				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['menu_id']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'path\']').val(item['label']);
		$('input[name=\'parent_id\']').val(item['value']);
	}
});

$('input[name=\'target_link\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=catalog/menu/autocomplete&token=<?php echo $token; ?>&filter_link=' +  encodeURIComponent(request),
			dataType: 'json',
			success: function(json) {
				json.unshift({
					menu_id: 0,
					name: '<?php echo $text_none; ?>'
				});

				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['link']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'target_link\']').val(item['value']);
	}
});

//allowed_groups

$('input[name=\'agroup\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=sale/customer_group/autocomplete&token=<?php echo $token; ?>&filter_group=' +  encodeURIComponent(request),
			dataType: 'json',			
			success: function(json) {
				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['group_id']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'agroup\']').val('');
		
		$('#allowed-groups' + item['value']).remove();
		
		$('#allowed-groups').append('<div id="allowed-groups' + item['value'] + '"><i class="fa fa-minus-circle"></i> ' + item['label'] + '<input type="hidden" name="allowed_groups[]" value="' + item['value'] + '" /></div>');	
	}
});

$('#allowed-groups').delegate('.fa-minus-circle', 'click', function() {
	$(this).parent().remove();
});

//denied_groups

$('input[name=\'dgroup\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=sale/customer_group/autocomplete&token=<?php echo $token; ?>&filter_group=' +  encodeURIComponent(request),
			dataType: 'json',			
			success: function(json) {
				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['group_id']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'dgroup\']').val('');
		
		$('#denied-groups' + item['value']).remove();
		
		$('#denied-groups').append('<div id="denied-groups' + item['value'] + '"><i class="fa fa-minus-circle"></i> ' + item['label'] + '<input type="hidden" name="denied_groups[]" value="' + item['value'] + '" /></div>');	
	}
});

$('#denied-groups').delegate('.fa-minus-circle', 'click', function() {
	$(this).parent().remove();
});

//allowed_users

$('input[name=\'auser\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=sale/customer/autocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request),
			dataType: 'json',			
			success: function(json) {
				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['customer_id']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'auser\']').val('');
		
		$('#allowed-users' + item['value']).remove();
		
		$('#allowed-users').append('<div id="allowed-users' + item['value'] + '"><i class="fa fa-minus-circle"></i> ' + item['label'] + '<input type="hidden" name="allowed_users[]" value="' + item['value'] + '" /></div>');	
	}
});

$('#allowed-users').delegate('.fa-minus-circle', 'click', function() {
	$(this).parent().remove();
});

//denied_users

$('input[name=\'duser\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=sale/customer/autocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request),
			dataType: 'json',			
			success: function(json) {
				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['customer_id']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'duser\']').val('');
		
		$('#denied-users' + item['value']).remove();
		
		$('#denied-users').append('<div id="denied-users' + item['value'] + '"><i class="fa fa-minus-circle"></i> ' + item['label'] + '<input type="hidden" name="denied_users[]" value="' + item['value'] + '" /></div>');	
	}
});

$('#denied-users').delegate('.fa-minus-circle', 'click', function() {
	$(this).parent().remove();
});

//--></script> 
  <script type="text/javascript"><!--
$('#language a:first').tab('show');
//--></script></div>
<?php echo $footer; ?>