<?php
class ControllerCommonSearches extends Controller {
	public function index() {
		$this->load->language('common/searches');

		$this->load->model('tool/image');
    
    $this->load->model('setting/rights');

    if (isset($this->request->get['type'])) {
			$type = $this->request->get['type'];
		} else {
			$type = TYPE_INFORMATION;
		}

		if (isset($this->request->get['search'])) {
			$search = $this->request->get['search'];
		} else {
			$search = '';
		}

		if (isset($this->request->get['tag'])) {
			$tag = $this->request->get['tag'];
		} elseif (isset($this->request->get['search'])) {
			$tag = $this->request->get['search'];
		} else {
			$tag = '';
		}

		if (isset($this->request->get['description'])) {
			$description = $this->request->get['description'];
		} else {
			$description = '';
		}
    
    if (isset($this->request->get['category_id'])) {
			$category_id = $this->request->get['category_id'];
		} else {
			$category_id = 0;
		}
    
    if (isset($this->request->get['sub_category'])) {
			$sub_category = $this->request->get['sub_category'];
		} else {
			$sub_category = '';
		}                

		if (isset($this->request->get['sort'])) {
			$sort = $this->request->get['sort'];
		} else {
			$sort = 'name';
		}

		if (isset($this->request->get['order'])) {
			$order = $this->request->get['order'];
		} else {
			$order = 'ASC';
		}

		if (isset($this->request->get['page'])) {
			$page = $this->request->get['page'];
		} else {
			$page = 1;
		}

		if (isset($this->request->get['limit'])) {
			$limit = $this->request->get['limit'];
		} else {
			$limit = $this->config->get('config_product_limit');
		}

		if (isset($this->request->get['search'])) {
			$this->document->setTitle($this->language->get('heading_title') .  ' - ' . $this->request->get['search']);
		} elseif (isset($this->request->get['tag'])) {
			$this->document->setTitle($this->language->get('heading_title') .  ' - ' . $this->language->get('heading_tag') . $this->request->get['tag']);
		} else {
			$this->document->setTitle($this->language->get('heading_title'));
		}
    
    $this->document->addScript('catalog/view/javascript/gallery/jquery.masonry.min.js');

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/home')
		);

		$url = '';

		if (isset($this->request->get['search'])) {
			$url .= '&search=' . urlencode(html_entity_decode($this->request->get['search'], ENT_QUOTES, 'UTF-8'));
		}

		if (isset($this->request->get['tag'])) {
			$url .= '&tag=' . urlencode(html_entity_decode($this->request->get['tag'], ENT_QUOTES, 'UTF-8'));
		}
    
    if (isset($this->request->get['description'])) {
			$url .= '&description=' . $this->request->get['description'];
		}

		if (isset($this->request->get['category_id'])) {
			$url .= '&category_id=' . $this->request->get['category_id'];
		}

		if (isset($this->request->get['sub_category'])) {
			$url .= '&sub_category=' . $this->request->get['sub_category'];
		}

		if (isset($this->request->get['sort'])) {
			$url .= '&sort=' . $this->request->get['sort'];
		}

		if (isset($this->request->get['order'])) {
			$url .= '&order=' . $this->request->get['order'];
		}

		if (isset($this->request->get['page'])) {
			$url .= '&page=' . $this->request->get['page'];
		}

		if (isset($this->request->get['limit'])) {
			$url .= '&limit=' . $this->request->get['limit'];
		}
    
    if (isset($this->request->get['type'])) {
			$url .= '&type=' . $this->request->get['type'];
		}

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('common/searches', $url)
		);

		if (isset($this->request->get['search'])) {
			$data['heading_title'] = $this->language->get('heading_title') .  ' - ' . $this->request->get['search'];
		} else {
			$data['heading_title'] = $this->language->get('heading_title');
		}

		$data['text_empty'] = $this->language->get('text_empty');
		$data['text_search'] = $this->language->get('text_search');
		$data['text_keyword'] = $this->language->get('text_keyword');
		
		$data['text_sort'] = $this->language->get('text_sort');
		$data['text_limit'] = $this->language->get('text_limit');
    $data['text_category'] = $this->language->get('text_category');
    $data['text_sub_category'] = $this->language->get('text_sub_category');    
    
    //$data['text_information'] = $this->language->get('text_information');
    //$data['text_download'] = $this->language->get('text_download');

		$data['entry_search'] = $this->language->get('entry_search');
    $data['entry_description'] = $this->language->get('entry_description');    
		$data['button_search'] = $this->language->get('button_search');
    
    $this->load->model('catalog/information_category');

		// 3 Level Category Search
		$data['categories'] = array();

		$categories_1 = $this->model_catalog_information_category->getCategories(0);

		foreach ($categories_1 as $category_1) {
			$level_2_data = array();

			$categories_2 = $this->model_catalog_information_category->getCategories($category_1['category_id']);

			foreach ($categories_2 as $category_2) {
				$level_3_data = array();

				$categories_3 = $this->model_catalog_information_category->getCategories($category_2['category_id']);

				foreach ($categories_3 as $category_3) {
					$level_3_data[] = array(
						'category_id' => $category_3['category_id'],
						'name'        => $category_3['name'],
					);
				}

				$level_2_data[] = array(
					'category_id' => $category_2['category_id'],
					'name'        => $category_2['name'],
					'children'    => $level_3_data
				);
			}

			$data['categories'][] = array(
				'category_id' => $category_1['category_id'],
				'name'        => $category_1['name'],
				'children'    => $level_2_data
			);
		}        
    
		$data['items'] = array();
    
    $isort = str_replace("name", "id.title", $sort);
    $isort = str_replace("element", "i", $isort);
    
		if (isset($this->request->get['search']) || isset($this->request->get['tag'])) {
			$filter_data = array(
				'filter_name'         => $search,
				'filter_tag'          => $tag,
				'filter_description'  => $description,
				'filter_category_id'  => $category_id,
				'filter_sub_category' => $sub_category,
				'sort'                => $isort,
				'order'               => $order,
				'start'               => ($page - 1) * $limit,
				'limit'               => $limit
			);

      $items_total = 0;

			if ($type == TYPE_INFORMATION) {
        
        $this->load->model('catalog/information');
      
        $items_total = $this->model_catalog_information->getTotalInformations($filter_data);
  
  			$results = $this->model_catalog_information->getInformations_2($filter_data);
  
  			foreach ($results as $result) {
  				if ($result['list_image']) {
  					$image = $this->model_tool_image->resizeTo($result['list_image'], $this->config->get('config_image_item_list_width'), 0, 'maxwidth', $this->config->get('config_image_item_list_height'));
  				} else {
  					$image = null;//$this->model_tool_image->resizeTo('placeholder.png', $this->config->get('config_image_product_width'), $this->config->get('config_image_product_height'), 'maxwidth');
  				}
          
    			$data['items'][] = array(
    				'item_id'  => $result['information_id'],
    				'thumb'       => $image,
    				'name'        => $result['title'],
    				'description' => html_entity_decode($result['short_description'], ENT_QUOTES, 'UTF-8'),
    				'href'        => $this->url->link('information/information', 'information_id=' . $result['information_id'] . $url)
    			);
          
  			}
      
      }

			$url = '';

			if (isset($this->request->get['search'])) {
				$url .= '&search=' . urlencode(html_entity_decode($this->request->get['search'], ENT_QUOTES, 'UTF-8'));
			}

			if (isset($this->request->get['tag'])) {
				$url .= '&tag=' . urlencode(html_entity_decode($this->request->get['tag'], ENT_QUOTES, 'UTF-8'));
			}

			if (isset($this->request->get['description'])) {
				$url .= '&description=' . $this->request->get['description'];
			}

			if (isset($this->request->get['category_id'])) {
				$url .= '&category_id=' . $this->request->get['category_id'];
			}

			if (isset($this->request->get['sub_category'])) {
				$url .= '&sub_category=' . $this->request->get['sub_category'];
			}

			if (isset($this->request->get['limit'])) {
				$url .= '&limit=' . $this->request->get['limit'];
			}
      
      if (isset($this->request->get['type'])) {
			 $url .= '&type=' . $this->request->get['type'];
		  }

			$data['sorts'] = array();

			$data['sorts'][] = array(
				'text'  => $this->language->get('text_date_desc'),
				'value' => 'element.date_added-DESC',
				'href'  => $this->url->link('common/searches', 'sort=element.date_added&order=DESC' . $url)
			);
      
      $data['sorts'][] = array(
				'text'  => $this->language->get('text_date_asc'),
				'value' => 'element.date_added-ASC',
				'href'  => $this->url->link('common/searches', 'sort=element.date_added&order=ASC' . $url)
			);
      
      $data['sorts'][] = array(
				'text'  => $this->language->get('text_csort_asc'),
				'value' => 'element.sort_order-ASC',
				'href'  => $this->url->link('common/searches', 'sort=element.sort_order&order=ASC' . $url)
			);

			$data['sorts'][] = array(
				'text'  => $this->language->get('text_name_asc'),
				'value' => 'name-ASC',
				'href'  => $this->url->link('common/searches', 'sort=name&order=ASC' . $url)
			);

			$data['sorts'][] = array(
				'text'  => $this->language->get('text_name_desc'),
				'value' => 'name-DESC',
				'href'  => $this->url->link('common/searches', 'sort=name&order=DESC' . $url)
			);

			$url = '';

			if (isset($this->request->get['search'])) {
				$url .= '&search=' . urlencode(html_entity_decode($this->request->get['search'], ENT_QUOTES, 'UTF-8'));
			}

			if (isset($this->request->get['tag'])) {
				$url .= '&tag=' . urlencode(html_entity_decode($this->request->get['tag'], ENT_QUOTES, 'UTF-8'));
			}

			if (isset($this->request->get['description'])) {
				$url .= '&description=' . $this->request->get['description'];
			}

			if (isset($this->request->get['category_id'])) {
				$url .= '&category_id=' . $this->request->get['category_id'];
			}

			if (isset($this->request->get['sub_category'])) {
				$url .= '&sub_category=' . $this->request->get['sub_category'];
			}

			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}

			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}
      
      if (isset($this->request->get['type'])) {
			 $url .= '&type=' . $this->request->get['type'];
		  }

			$data['limits'] = array();

			$limits = array_unique(array($this->config->get('config_product_limit'), 25, 50, 75, 100));

			sort($limits);

			foreach($limits as $value) {
				$data['limits'][] = array(
					'text'  => $value,
					'value' => $value,
					'href'  => $this->url->link('common/searches', $url . '&limit=' . $value)
				);
			}

			$url = '';

			if (isset($this->request->get['search'])) {
				$url .= '&search=' . urlencode(html_entity_decode($this->request->get['search'], ENT_QUOTES, 'UTF-8'));
			}

			if (isset($this->request->get['tag'])) {
				$url .= '&tag=' . urlencode(html_entity_decode($this->request->get['tag'], ENT_QUOTES, 'UTF-8'));
			}

			if (isset($this->request->get['description'])) {
				$url .= '&description=' . $this->request->get['description'];
			}

			if (isset($this->request->get['category_id'])) {
				$url .= '&category_id=' . $this->request->get['category_id'];
			}

			if (isset($this->request->get['sub_category'])) {
				$url .= '&sub_category=' . $this->request->get['sub_category'];
			}

			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}

			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}

			if (isset($this->request->get['limit'])) {
				$url .= '&limit=' . $this->request->get['limit'];
			}
      
      if (isset($this->request->get['type'])) {
			 $url .= '&type=' . $this->request->get['type'];
		  }

			$pagination = new Pagination();
			$pagination->total = $items_total;
			$pagination->page = $page;
			$pagination->limit = $limit;
			$pagination->url = $this->url->link('common/searches', $url . '&page={page}');

			$data['pagination'] = $pagination->render();

			$this->document->addLink($this->url->link('common/searches', $url . '&page=' . $pagination->page), 'canonical');

			if ($pagination->limit && ceil($pagination->total / $pagination->limit) > $pagination->page) {
				$this->document->addLink($this->url->link('common/searches', $url . '&page=' . ($pagination->page + 1)), 'next');
			}

			if ($pagination->page > 1) {
				$this->document->addLink($this->url->link('common/searches', $url . '&page=' . ($pagination->page - 1)), 'prev');
			}

			$data['results'] = sprintf($this->language->get('text_pagination'), ($items_total) ? (($page - 1) * $limit) + 1 : 0, ((($page - 1) * $limit) > ($items_total - $limit)) ? $items_total : ((($page - 1) * $limit) + $limit), $items_total, ceil($items_total / $limit));
		}

		$data['search'] = $search;
    $data['description'] = $description;
		$data['category_id'] = $category_id;
		$data['sub_category'] = $sub_category;    

		$data['sort'] = $sort;
		$data['order'] = $order;
		$data['limit'] = $limit;
    
    $data['type'] = $type;

		$data['column_left'] = $this->load->controller('common/column_left');
		$data['column_right'] = $this->load->controller('common/column_right');
		$data['content_top'] = $this->load->controller('common/content_top');
		$data['content_bottom'] = $this->load->controller('common/content_bottom');
		$data['footer'] = $this->load->controller('common/footer');
		$data['header'] = $this->load->controller('common/header');

		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/common/searches.tpl')) {
			$this->response->setOutput($this->load->view($this->config->get('config_template') . '/template/common/searches.tpl', $data));
		} else {
			$this->response->setOutput($this->load->view('default/template/common/searches.tpl', $data));
		}
	}
}