<?php
class ControllerInformationInformation extends Controller {
	public function index() {
  
		$this->load->language('information/information');

		$this->load->model('catalog/information');

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/home')
		);
    
    $this->load->model('catalog/information_category');

		if (isset($this->request->get['path'])) {
			$path = '';

			$parts = explode('_', (string)$this->request->get['path']);

			$category_id = (int)array_pop($parts);

			foreach ($parts as $path_id) {
				if (!$path) {
					$path = $path_id;
				} else {
					$path .= '_' . $path_id;
				}

				$category_info = $this->model_catalog_information_category->getCategory($path_id);

				if ($category_info) {
					$data['breadcrumbs'][] = array(
						'text' => $category_info['name'],
						'href' => $this->url->link('information/category', 'path=' . $path)
					);
				}
			}

			// Set the last category breadcrumb
			$category_info = $this->model_catalog_information_category->getCategory($category_id);

			if ($category_info) {
				$url = '';

				if (isset($this->request->get['sort'])) {
					$url .= '&sort=' . $this->request->get['sort'];
				}

				if (isset($this->request->get['order'])) {
					$url .= '&order=' . $this->request->get['order'];
				}

				if (isset($this->request->get['page'])) {
					$url .= '&page=' . $this->request->get['page'];
				}

				if (isset($this->request->get['limit'])) {
					$url .= '&limit=' . $this->request->get['limit'];
				}

				$data['breadcrumbs'][] = array(
					'text' => $category_info['name'],
					'href' => $this->url->link('information/category', 'path=' . $this->request->get['path'] . $url)
				);
			}
		}
    
    if (isset($this->request->get['search']) || isset($this->request->get['tag'])) {
			$url = '';

			if (isset($this->request->get['search'])) {
				$url .= '&search=' . $this->request->get['search'];
			}

			if (isset($this->request->get['tag'])) {
				$url .= '&tag=' . $this->request->get['tag'];
			}
      
      if (isset($this->request->get['type'])) {
				$url .= '&type=' . $this->request->get['type'];
			}

			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}

			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}

			if (isset($this->request->get['page'])) {
				$url .= '&page=' . $this->request->get['page'];
			}

			if (isset($this->request->get['limit'])) {
				$url .= '&limit=' . $this->request->get['limit'];
			}

			$data['breadcrumbs'][] = array(
				'text' => $this->language->get('text_search'),
				'href' => $this->url->link('common/searches', $url)
			);
		}
    

		if (isset($this->request->get['information_id'])) {
			$information_id = (int)$this->request->get['information_id'];
		} else {
			$information_id = 0;
		}

		$information_info = $this->model_catalog_information->getInformation($information_id);
    
		if ($information_info) {
    
      $url = '';
      
      if (isset($this->request->get['path'])) {
				$url .= '&path=' . $this->request->get['path'];
			}

			if (isset($this->request->get['search'])) {
				$url .= '&search=' . $this->request->get['search'];
			}

			if (isset($this->request->get['tag'])) {
				$url .= '&tag=' . $this->request->get['tag'];
			}
      
      if (isset($this->request->get['type'])) {
				$url .= '&type=' . $this->request->get['type'];
			}

			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}

			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}

			if (isset($this->request->get['page'])) {
				$url .= '&page=' . $this->request->get['page'];
			}

			if (isset($this->request->get['limit'])) {
				$url .= '&limit=' . $this->request->get['limit'];
			}
      
      
      $this->load->model('setting/rights');
        
      if ($this->model_setting_rights->getRight($information_id, TYPE_INFORMATION)) {    // 1 is information type
      
  			$this->document->setTitle($information_info['meta_title']);
  			$this->document->setDescription($information_info['meta_description']);
  			$this->document->setKeywords($information_info['meta_keyword']);
        $this->document->addLink($this->url->link('information/information', 'information_id=' . $this->request->get['information_id']), 'canonical');
        
  			$data['breadcrumbs'][] = array(
  				'text' => $information_info['title'],
  				'href' => $this->url->link('information/information', $url . '&information_id=' .  $information_id)
  			);
  
  			$data['heading_title'] = $information_info['title'];
        
        $data['entry_name'] = $this->language->get('entry_name');
			  $data['entry_review'] = $this->language->get('entry_review');
			  $data['entry_captcha'] = $this->language->get('entry_captcha');
        
        $data['text_loading'] = $this->language->get('text_loading');
        $data['text_write'] = $this->language->get('text_write');
        $data['text_note'] = $this->language->get('text_note');
        $data['text_success'] = $this->language->get('text_success');
        $data['text_login'] = sprintf($this->language->get('text_login'), $this->url->link('account/login', '', 'SSL'), $this->url->link('account/register', '', 'SSL'));
        $data['text_related'] = $this->language->get('text_related');
        $data['text_comments'] = $this->language->get('text_reviews');        
        
        //$data['text_reviews'] = sprintf($this->language->get('text_reviews'), $information_info['reviews']);
  
  			$data['button_continue'] = $this->language->get('button_continue');
                
        $data['text_tags'] = $this->language->get('text_tags');
  
  			$data['description'] = html_entity_decode($information_info['description'], ENT_QUOTES, 'UTF-8');
        
  			$data['continue'] = $this->url->link('common/home');
  
        $this->model_catalog_information->updateViewed($this->request->get['information_id']);
        
        $this->load->model('tool/image');
        
        if ($information_info['image']) {
					$data['image'] = $this->model_tool_image->resizeTo($information_info['image'], $this->config->get('config_image_item_width'), 0, 'maxwidth', $this->config->get('config_image_item_height'));
				}
        
        $data['tags'] = array();

  			if ($information_info['tag']) {
  				$tags = explode(',', $information_info['tag']);
  
  				foreach ($tags as $tag) {
  					$data['tags'][] = array(
  						'tag'  => trim($tag),
  						'href' => $this->url->link('common/searches', 'tag=' . trim($tag))
  					);
  				}
  			}
        
        $data['review_status'] = $this->config->get('config_review_status');

  			if ($this->config->get('config_review_guest') || $this->customer->isLogged()) {
  				$data['review_guest'] = true;
  			} else {
  				$data['review_guest'] = false;
  			}
        
        $data['comment_auto_approve'] = $this->config->get('config_comment_auto_approve');

  			if ($this->customer->isLogged()) {
  				$data['customer_name'] = $this->customer->getFirstName() . '&nbsp;' . $this->customer->getLastName();
  			} else {
  				$data['customer_name'] = '';
  			}

        $data['comments'] = (int)$information_info['reviews'];                 
  			
        $data['information_id'] = (int)$this->request->get['information_id'];

        //insert        
         
        $setting = array(
          'resize' => $information_info['resize'],
          'insert' => 1
        );
        
        $data['description'] = $this->ReplaceSpecialTags($data['description'],$setting);
        
        $setting = array(
          'filter_information_id' => $information_id,
          'resize' => $information_info['resize'],
          'insert' => 1
        );
        
        $data['informations'] = array();

			  $results = $this->model_catalog_information->getInformationRelated($information_id);
        
        foreach ($results as $result) {
				if ($result['list_image']) {
					$image = $this->model_tool_image->resizeTo($result['list_image'], $this->config->get('config_image_related_width'), $this->config->get('config_image_related_height'), 'maxwidth', $this->config->get('config_image_related_height'));
				} else {
					$image = null;
				}

				$data['informations'][] = array(
  				'information_id'  => $result['information_id'],
  				'thumb'       => $image,
          'name'        => $result['title'],
  				'description' => html_entity_decode($result['short_description'], ENT_QUOTES, 'UTF-8'),
          'date_added'  => date($this->language->get('date_format_short'), strtotime($result['date_added'])),
          'date_modified' => date($this->language->get('date_format_short'), strtotime($result['date_modified'])),
  				'href'        => $this->url->link('information/information', 'information_id=' . $result['information_id'])
  			);
			}
        
        $data['gallery'] = $this->load->controller('module/gallery', $setting);
        
        $data['column_left'] = $this->load->controller('common/column_left');
  			$data['column_right'] = $this->load->controller('common/column_right');
  			$data['content_top'] = $this->load->controller('common/content_top');
  			$data['content_bottom'] = $this->load->controller('common/content_bottom');
  			$data['footer'] = $this->load->controller('common/footer');
  			$data['header'] = $this->load->controller('common/header');
  
  			if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/information/information.tpl')) {
  				$this->response->setOutput($this->load->view($this->config->get('config_template') . '/template/information/information.tpl', $data));
  			} else {
  				$this->response->setOutput($this->load->view('default/template/information/information.tpl', $data));
  			}
      
      } else {
      
  			$data['breadcrumbs'][] = array(
  				'text' => $this->language->get('text_not_right'),
  				'href' => $this->url->link('information/information', 'information_id=' . $information_id)
  			);
  
  			$this->document->setTitle($this->language->get('text_not_right'));
  
  			$data['heading_title'] = $this->language->get('text_not_right');
  
  			$data['text_error'] = $this->language->get('text_not_right');
  
  			$data['button_continue'] = $this->language->get('button_continue');
  
  			$data['continue'] = $this->url->link('common/home');
  
  			$data['column_left'] = $this->load->controller('common/column_left');
  			$data['column_right'] = $this->load->controller('common/column_right');
  			$data['content_top'] = $this->load->controller('common/content_top');
  			$data['content_bottom'] = $this->load->controller('common/content_bottom');
  			$data['footer'] = $this->load->controller('common/footer');
  			$data['header'] = $this->load->controller('common/header');
        
  			if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/error/not_right.tpl')) {
  				$this->response->setOutput($this->load->view($this->config->get('config_template') . '/template/error/not_right.tpl', $data));
  			} else {
  				$this->response->setOutput($this->load->view('default/template/error/not_right.tpl', $data));
  			}
		  }
      
		} else {
			$data['breadcrumbs'][] = array(
				'text' => $this->language->get('text_error'),
				'href' => $this->url->link('information/information', 'information_id=' . $information_id)
			);

			$this->document->setTitle($this->language->get('text_error'));

			$data['heading_title'] = $this->language->get('text_error');

			$data['text_error'] = $this->language->get('text_error');

			$data['button_continue'] = $this->language->get('button_continue');

			$data['continue'] = $this->url->link('common/home');

			$data['column_left'] = $this->load->controller('common/column_left');
			$data['column_right'] = $this->load->controller('common/column_right');
			$data['content_top'] = $this->load->controller('common/content_top');
			$data['content_bottom'] = $this->load->controller('common/content_bottom');
			$data['footer'] = $this->load->controller('common/footer');
			$data['header'] = $this->load->controller('common/header');
      
			if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/error/not_found.tpl')) {
				$this->response->setOutput($this->load->view($this->config->get('config_template') . '/template/error/not_found.tpl', $data));
			} else {
				$this->response->setOutput($this->load->view('default/template/error/not_found.tpl', $data));
			}
		}
	}

	public function agree() {
    $this->load->model('setting/rights');
    
    if (isset($this->request->get['information_id']) && $this->model_setting_rights->getRight($this->request->get['information_id'], TYPE_INFORMATION)) {
			$information_id = (int)$this->request->get['information_id'];
		} else {
			$information_id = 0;
		}
    
    $this->load->model('catalog/information');

		$output = '';

		$information_info = $this->model_catalog_information->getInformation($information_id);

		if ($information_info) {
			$output .= html_entity_decode($information_info['description'], ENT_QUOTES, 'UTF-8') . "\n";
		}

		$this->response->setOutput($output);
	}
  
  public function review() {
  
    $this->load->model('setting/rights');
    
    if (isset($this->request->get['information_id']) && $this->model_setting_rights->getRight($this->request->get['information_id'], TYPE_INFORMATION)) {
    
		$this->load->language('information/information');

		$this->load->model('catalog/review');

		$data['text_no_reviews'] = $this->language->get('text_no_reviews');

		if (isset($this->request->get['page'])) {
			$page = $this->request->get['page'];
		} else {
			$page = 1;
		}

		$data['reviews'] = array();

		$review_total = $this->model_catalog_review->getTotalReviewsByInformationId($this->request->get['information_id']);

		$results = $this->model_catalog_review->getReviewsByInformationId($this->request->get['information_id'], ($page - 1) * 5, 5);

		foreach ($results as $result) {
			$data['reviews'][] = array(
				'author'     => $result['author'],
				'text'       => nl2br($result['text']),
				'date_added' => date($this->language->get('date_format_short'), strtotime($result['date_added']))
			);
		}

		$pagination = new Pagination();
		$pagination->total = $review_total;
		$pagination->page = $page;
		$pagination->limit = 5;
		$pagination->url = $this->url->link('information/information/review', 'information_id=' . $this->request->get['information_id'] . '&page={page}');

		$data['pagination'] = $pagination->render();

		$data['results'] = sprintf($this->language->get('text_pagination'), ($review_total) ? (($page - 1) * 5) + 1 : 0, ((($page - 1) * 5) > ($review_total - 5)) ? $review_total : ((($page - 1) * 5) + 5), $review_total, ceil($review_total / 5));

		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/common/review.tpl')) {
			$this->response->setOutput($this->load->view($this->config->get('config_template') . '/template/common/review.tpl', $data));
		} else {
			$this->response->setOutput($this->load->view('default/template/common/review.tpl', $data));
		}
    
   }
	}
  
  public function downloads() {
    
    $this->load->model('setting/rights');
    
    if (isset($this->request->get['information_id']) && $this->model_setting_rights->getRight($this->request->get['information_id'], TYPE_INFORMATION)) {
  
    $this->load->language('common/download');
    
    $data['heading_title'] = $this->language->get('heading_title');

		$data['column_name'] = $this->language->get('column_name');
		$data['column_size'] = $this->language->get('column_size');
		$data['column_date_added'] = $this->language->get('column_date_added');

		$data['button_download'] = $this->language->get('button_download');
    
    $this->load->model('catalog/download');
    
    if (isset($this->request->get['page'])) {
			$page = $this->request->get['page'];
		} else {
			$page = 1;
		}

		$data['downloads'] = array();

    $download_total = $this->model_catalog_download->getTotalDownloads($this->request->get['information_id']);

		$results = $this->model_catalog_download->getDownloads($this->request->get['information_id'],($page - 1) * $this->config->get('config_product_limit'), $this->config->get('config_product_limit'));

		foreach ($results as $result) {
			if (file_exists(DIR_DOWNLOAD . $result['filename'])) {
				$size = filesize(DIR_DOWNLOAD . $result['filename']);

				$i = 0;

				$suffix = array(
					'B',
					'KB',
					'MB',
					'GB',
					'TB',
					'PB',
					'EB',
					'ZB',
					'YB'
				);

				while (($size / 1024) > 1) {
					$size = $size / 1024;
					$i++;
				}

				$data['downloads'][] = array(
					'date_added' => date($this->language->get('date_format_short'), strtotime($result['date_added'])),
					'name'       => $result['name'],
					'size'       => round(substr($size, 0, strpos($size, '.') + 4), 2) . $suffix[$i],
					'href'       => $this->url->link('information/information/download', 'information_id=' . $this->request->get['information_id'].'&download_id=' . $result['download_id'], 'SSL')
				);
			}
		}

		$pagination = new Pagination();
		$pagination->total = $download_total;
		$pagination->page = $page;
		$pagination->limit = $this->config->get('config_product_limit');
		$pagination->url = $this->url->link('information/information/downloads', 'information_id=' . $this->request->get['information_id'].'&page={page}', 'SSL');

		$data['pagination'] = $pagination->render();

		$data['results'] = sprintf($this->language->get('text_pagination'), ($download_total) ? (($page - 1) * $this->config->get('config_product_limit')) + 1 : 0, ((($page - 1) * $this->config->get('config_product_limit')) > ($download_total - $this->config->get('config_product_limit'))) ? $download_total : ((($page - 1) * $this->config->get('config_product_limit')) + $this->config->get('config_product_limit')), $download_total, ceil($download_total / $this->config->get('config_product_limit')));

		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/common/download.tpl')) {
			$this->response->setOutput($this->load->view($this->config->get('config_template') . '/template/common/download.tpl', $data));
		} else {
			$this->response->setOutput($this->load->view('default/template/common/download.tpl', $data));
		}
    
   } 
  }
  
  public function download() {
		
    $this->load->model('setting/rights');
		
    if (isset($this->request->get['download_id']) && isset($this->request->get['information_id']) && $this->model_setting_rights->getRight($this->request->get['information_id'], TYPE_INFORMATION)) {
			$download_id = $this->request->get['download_id'];
		} else {
			$download_id = 0;
		}
    
    $this->load->model('catalog/download');

		$download_info = $this->model_catalog_download->getDownload($download_id);

		if ($download_info) {
			$file = DIR_DOWNLOAD . $download_info['filename'];
			$mask = basename($download_info['mask']);

			if (!headers_sent()) {
				if (file_exists($file)) {
        
          $this->model_catalog_download->updateDownloaded($download_id);
        
					header('Content-Type: application/octet-stream');
					header('Content-Disposition: attachment; filename="' . ($mask ? $mask : basename($file)) . '"');
					header('Expires: 0');
					header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
					header('Pragma: public');
					header('Content-Length: ' . filesize($file));

					if (ob_get_level()) {
						ob_end_clean();
					}

					readfile($file, 'rb');

					exit();
				} else {
					exit('Error: Could not find file ' . $file . '!');
				}
			} else {
				exit('Error: Headers already sent out!');
			}
		} else {
			$this->response->redirect($this->url->link('error/not_found', '', 'SSL'));
		}
	}
  
  public function write() {
    
    $this->load->model('setting/rights');
    
    if (isset($this->request->get['information_id']) && $this->model_setting_rights->getRight($this->request->get['information_id'], TYPE_INFORMATION)) {
  
		$this->load->language('information/information');

		$json = array();

		if ($this->request->server['REQUEST_METHOD'] == 'POST') {
			if ((utf8_strlen($this->request->post['name']) < 3) || (utf8_strlen($this->request->post['name']) > 25)) {
				$json['error'] = $this->language->get('error_name');
			}

			if ((utf8_strlen($this->request->post['text']) < 25) || (utf8_strlen($this->request->post['text']) > 1000)) {
				$json['error'] = $this->language->get('error_text');
			}

			if (empty($this->session->data['captcha']) || ($this->session->data['captcha'] != $this->request->post['captcha'])) {
				$json['error'] = $this->language->get('error_captcha');
			}

			unset($this->session->data['captcha']);

			if (!isset($json['error'])) {
				$this->load->model('catalog/review');

				$this->model_catalog_review->addReview($this->request->get['information_id'], $this->request->post);

        if($this->config->get('config_comment_auto_approve')){
          $json['success'] = $this->language->get('text_success_approved');
        } else {
				  $json['success'] = $this->language->get('text_success');
        }
			}
		}

		$this->response->addHeader('Content-Type: application/json');
		$this->response->setOutput(json_encode($json));
    
    }
    
	}
  
  private function ReplaceSpecialTags($string,$setting){
    
    //gallery tags
    $count = preg_match_all("/<gallery>(.*?)<\/gallery>/", $string, $matches);
    if($count > 0) {
      for($i = 0; $i < $count; $i++) {
          $setting['filter_name'] = $matches[1][$i];
          $replacement = $this->load->controller('module/gallery', $setting);
          $string = str_replace('<gallery>'.$matches[1][$i].'</gallery>', $replacement, $string);
      }
    }
    
    return $string;
  }
  
}