<?php
class ControllerModuleInformationSlideshow extends Controller {
	public function index($setting) {
  
    static $module = 0;
    
    $this->load->model('setting/rights');
    
    if (isset($setting['category_id']) && $this->model_setting_rights->getRight($setting['category_id'], TYPE_INFORMATION_CATEGORY)) {

  		$this->load->model('catalog/information_category');
      
      $category = $this->model_catalog_information_category->getCategory($setting['category_id']);
      
      if (!empty($category)) {
        
        $this->document->addStyle('catalog/view/javascript/jquery/owl-carousel/owl.carousel.css');
		    $this->document->addScript('catalog/view/javascript/jquery/owl-carousel/owl.carousel.min.js');
      
        $sort = strstr($category['default_sort_order'], "-",true);
      
			  $order = substr(strrchr($category['default_sort_order'], "-"), 1);
      
        $this->load->model('catalog/information');
        
    		$data['items'] = array();
        
        $filter_data = array(
				'filter_category_id' => $setting['category_id'],
				'sort'               => $sort,
				'order'              => $order
			);

			$results = $this->model_catalog_information->getInformations_2($filter_data);

			 foreach ($results as $result) {
  				
    			$data['items'][] = array(
    				'item_id'  => $result['information_id'],
    				'description' => html_entity_decode($result['description'], ENT_QUOTES, 'UTF-8')
    			);
            
        }
        
        $data['time'] = $setting['time'] * 1000;
    
        $data['module'] = $module++;
    
    		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/information_slideshow.tpl')) {
    			return $this->load->view($this->config->get('config_template') . '/template/module/information_slideshow.tpl', $data);
    		} else {
    			return $this->load->view('default/template/module/information_slideshow.tpl', $data);
    		}
      
      }
    
    }
    
	}
}